import { BooleanInput } from '@angular/cdk/coercion';
import { ChangeDetectorRef, EventEmitter, InjectionToken, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { YukawaAlertService } from './alert.service';
import { YukawaAlertAppearance, YukawaAlertType } from './alert.types';
import * as i0 from "@angular/core";
export interface YukawaAlertIconConfig {
    primary: string;
    accent: string;
    warn: string;
    basic: string;
    info: string;
    success: string;
    warning: string;
    error: string;
    dismiss: string;
}
export declare const YUKAWA_ALERT_ICON_CONFIG: InjectionToken<unknown>;
export declare class YukawaAlertComponent implements OnChanges, OnInit, OnDestroy {
    private _changeDetectorRef;
    private _parentChangeDetectorRef;
    private _yukawaAlertService;
    readonly iconConfig: YukawaAlertIconConfig;
    static ngAcceptInputType_dismissible: BooleanInput;
    static ngAcceptInputType_dismissed: BooleanInput;
    static ngAcceptInputType_showIcon: BooleanInput;
    appearance: YukawaAlertAppearance;
    dismissed: boolean;
    dismissible: boolean;
    name: string;
    showIcon: boolean;
    type: YukawaAlertType;
    message: string;
    readonly dismissedChanged: EventEmitter<boolean>;
    private _unsubscribeAll;
    /**
     * Constructor
     */
    constructor(_changeDetectorRef: ChangeDetectorRef, _parentChangeDetectorRef: ChangeDetectorRef, _yukawaAlertService: YukawaAlertService, iconConfig: YukawaAlertIconConfig);
    /**
     * Host binding for component classes
     */
    get classList(): any;
    /**
     * On changes
     *
     * @param changes
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * On init
     */
    ngOnInit(): void;
    /**
     * On destroy
     */
    ngOnDestroy(): void;
    /**
     * Dismiss the alert
     */
    dismiss(self?: boolean): void;
    /**
     * Show the dismissed alert
     */
    show(): void;
    /**
     * Dismiss/show the alert
     *
     * @param dismissed
     * @private
     */
    private _toggleDismiss;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaAlertComponent, [null, { skipSelf: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YukawaAlertComponent, "yukawa-alert", ["yukawaAlert"], { "appearance": { "alias": "appearance"; "required": false; }; "dismissed": { "alias": "dismissed"; "required": false; }; "dismissible": { "alias": "dismissible"; "required": false; }; "name": { "alias": "name"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "type": { "alias": "type"; "required": false; }; "message": { "alias": "message"; "required": false; }; }, { "dismissedChanged": "dismissedChanged"; }, never, ["[yukawaAlertIcon]", "[yukawaAlertTitle]", "*"], false, never>;
}
