import { TranslocoService } from '@jsverse/transloco';
import { IEnvironment } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { IYukawaAlert, IYukawaAlertConfig } from './alert.types';
import * as i0 from "@angular/core";
export declare class YukawaAlertService {
    private _translocoService;
    private readonly _onDismiss;
    private readonly _onShow;
    /**
     * Constructor
     */
    constructor(_translocoService: TranslocoService);
    /**
     * Getter for onDismiss
     */
    get onDismiss(): Observable<any>;
    /**
     * Getter for onShow
     */
    get onShow(): Observable<string | IYukawaAlertConfig>;
    /**
     * Generates an alert configuration from the provided error object.
     * Uses translation keys `ERROR.NO_INTERNET_CONNECTION` and `ERROR.UNKNOWN`.
     *
     * @param error
     * @param  environment
     */
    generateErrorAlert(error: string | Error, environment: IEnvironment): IYukawaAlert;
    /**
     * Dismiss the alert
     *
     * @param name
     */
    dismiss(name: string): void;
    /**
     * Show the dismissed alert
     *
     * @param name
     * @param config
     */
    show(name: string, config?: IYukawaAlertConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaAlertService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<YukawaAlertService>;
}
