import { ChangeDetectorRef, ElementRef, InjectionToken, OnDestroy, OnInit, QueryList } from '@angular/core';
import { Router } from '@angular/router';
import { TranslocoService } from '@jsverse/transloco';
import { LogTypes } from '@yukawa/chain-base-angular-client';
import { IYukawaAlert, YukawaAlertAppearance, YukawaAlertService } from '@yukawa/chain-base-angular-comp/alert';
import * as i0 from "@angular/core";
export interface ConsoleLogAlertConfig {
    appearance: YukawaAlertAppearance;
    logTypes: Array<LogTypes>;
    enabled: boolean;
}
export declare const CONSOLE_LOG_ALERT_CONFIG_TOKEN: InjectionToken<ConsoleLogAlertConfig>;
export declare class YukawaConsoleLogAlertsComponent implements OnInit, OnDestroy {
    #private;
    private readonly _changeDetector;
    readonly config: ConsoleLogAlertConfig;
    private readonly _yukawaAlertService;
    private readonly _router;
    private readonly _translocoService;
    alertComponents: QueryList<ElementRef<HTMLElement>>;
    readonly alerts: IYukawaAlert[];
    constructor(_changeDetector: ChangeDetectorRef, config: ConsoleLogAlertConfig, _yukawaAlertService: YukawaAlertService, _router: Router, _translocoService: TranslocoService);
    get classNames(): object;
    ngOnInit(): void;
    ngOnDestroy(): void;
    closeAll(): void;
    private logged;
    static ɵfac: i0.ɵɵFactoryDeclaration<YukawaConsoleLogAlertsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YukawaConsoleLogAlertsComponent, "yukawa-console-log-alerts", never, {}, {}, never, never, false, never>;
}
