import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { EmojiService } from '@yukawa/chain-base-angular-comp/shared';
import { BehaviorSubject } from 'rxjs';
import { Nullable, ConstructorFor } from 'simplytyped';
import { QueryTableEntry } from '../../model';
import { IQueryTableEntryDetail, IQueryTableEntryDetailComponent } from '../../types';
import * as i0 from "@angular/core";
export declare class QueryTableEntryDetailsComponent implements OnInit, OnChanges {
    private readonly _changeDetector;
    private readonly _emojiService;
    entry: QueryTableEntry<any, any>;
    ignoreDetails: Nullable<Array<string>>;
    viewDirection: 'horizontal' | 'vertical';
    cellComponents: Nullable<Map<string, ConstructorFor<IQueryTableEntryDetailComponent>>>;
    readonly details$: BehaviorSubject<IQueryTableEntryDetail<any, any, import("../../types").ISelectOption<any, any>>[]>;
    readonly filteredDetails$: BehaviorSubject<IQueryTableEntryDetail<any, any, import("../../types").ISelectOption<any, any>>[]>;
    readonly detailValues: Map<string, Map<string, unknown>>;
    private readonly _markedPipe;
    constructor(_changeDetector: ChangeDetectorRef, _emojiService: EmojiService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    isLongValue(value: unknown): boolean;
    containsSpaces(value: unknown): boolean;
    getDetailValue<T = unknown>(detail: IQueryTableEntryDetail): T;
    getCellComponent(key: string): ConstructorFor<IQueryTableEntryDetailComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryTableEntryDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueryTableEntryDetailsComponent, "yukawa-query-table-entry-details", never, { "entry": { "alias": "entry"; "required": false; }; "ignoreDetails": { "alias": "ignoreDetails"; "required": false; }; "viewDirection": { "alias": "viewDirection"; "required": false; }; "cellComponents": { "alias": "cellComponents"; "required": false; }; }, {}, never, never, false, never>;
}
