import { ChangeDetectorRef, EventEmitter, InjectionToken, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl, FormGroup, ValidationErrors } from '@angular/forms';
import { DateAdapter } from '@angular/material/core';
import { TranslocoService } from '@jsverse/transloco';
import { EmojiEvent, EmojiService } from '@yukawa/chain-base-angular-comp/shared';
import { ConstructorFor } from 'simplytyped';
import { IQueryTableEntryDetail } from '../../types';
import { FormFieldConfig, IEntryDetailFormFieldComponent } from './form.types';
import * as i0 from "@angular/core";
export declare const ADD_TAG_ICON: InjectionToken<unknown>;
export declare class QueryTableEntryFormComponent implements OnInit, OnChanges {
    private readonly _changeDetector;
    private readonly _dateAdapter;
    private readonly _emojiService;
    private readonly _translocoService;
    readonly addTagIcon?: string;
    entryDetails: Array<IQueryTableEntryDetail>;
    formFieldComponents: Map<string, ConstructorFor<IEntryDetailFormFieldComponent>>;
    gridCols: number;
    gridColumnSizes: Record<string, number>;
    inputChanged: EventEmitter<boolean>;
    selectTags: EventEmitter<void>;
    formFieldConfig: FormFieldConfig<any>[];
    detailsForm: FormGroup;
    private _emojiTextInput;
    constructor(_changeDetector: ChangeDetectorRef, _dateAdapter: DateAdapter<any>, _emojiService: EmojiService, _translocoService: TranslocoService, addTagIcon?: string);
    get isEnabled(): boolean;
    set isEnabled(value: boolean);
    get isValid(): boolean;
    ngOnInit(): void;
    init(): void;
    afterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    save<T>(): T;
    addEmoji($event: EmojiEvent): void;
    selectEmoji(textInput: HTMLInputElement | HTMLTextAreaElement): void;
    onVersionBlur(event: FocusEvent, ctrl: FormControl): void;
    compareWidth(o1: any, o2: any): boolean;
    handleError(error: Error): boolean;
    getErrorMessage(errors: ValidationErrors | null): string;
    getFormFieldComponent(_formField: FormFieldConfig): ConstructorFor<IEntryDetailFormFieldComponent>;
    getGridColumnSize(_formField: FormFieldConfig): number;
    private shouldBeDisabled;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryTableEntryFormComponent, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueryTableEntryFormComponent, "yukawa-query-table-entry-form", never, { "entryDetails": { "alias": "entryDetails"; "required": false; }; "formFieldComponents": { "alias": "formFieldComponents"; "required": false; }; "gridCols": { "alias": "gridCols"; "required": false; }; "gridColumnSizes": { "alias": "gridColumnSizes"; "required": false; }; }, { "inputChanged": "inputChanged"; "selectTags": "selectTags"; }, never, never, false, never>;
}
