import { DeepPartial, PlainObject, StringKeys } from 'simplytyped';
import { IQueryTableEntry, IQueryTableEntryDetail } from '../types';
export declare abstract class QueryTableEntry<TEntity extends object = any, TViewConfig extends DeepPartial<TEntity> = TEntity> implements IQueryTableEntry<TEntity, TViewConfig> {
    #private;
    readonly entity: TEntity;
    name: string;
    readonly details: Map<StringKeys<TViewConfig>, IQueryTableEntryDetail<any, any, import("../types").ISelectOption<any, any>>>;
    readonly id: string;
    protected constructor(entity: TEntity, id?: number | string, name?: string);
    get selected(): boolean;
    set selected(value: boolean);
    get rowClass(): string;
    protected get labelTranslationPrefix(): string;
    abstract get viewConfig(): TViewConfig;
    init(): void;
    protected formatKey(key: string): string;
    protected mapDetails<TKey = TEntity>(details: Map<string, IQueryTableEntryDetail>, item: PlainObject, key: StringKeys<TKey>, detail: Partial<IQueryTableEntryDetail>): void;
}
