import { ISelectOption, ISelectOptions } from '../types';
export declare abstract class TreeSelectOptions<TValue, TObject extends object, TOption extends Required<ISelectOption<TValue, TObject>>> implements ISelectOptions<TValue, TObject, TOption> {
    readonly values: Array<TObject>;
    readonly options: Array<TOption>;
    readonly optionsTree: TOption[];
    protected constructor(values: Array<TObject>, options: Array<TOption>);
    abstract get valuesTree(): Array<TObject>;
    load(): Promise<Array<TOption>>;
    add(option: TOption): void;
    remove(option: TOption): void;
    findOption(object: TObject): TOption;
    private selectOption;
    protected abstract loadValuesTree(): Promise<void>;
    protected abstract mapOption(objectValue: TObject): TOption;
}
