import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { MatDrawer } from '@angular/material/sidenav';
import { ActivatedRoute, ParamMap, Router } from '@angular/router';
import { IMediaWatcherService } from '@yukawa/chain-base-angular-comp/shared';
import { EntityFilter } from '@yukawa/chain-base-angular-domain';
import { Subject } from 'rxjs';
import { DeepPartial } from 'simplytyped';
import { QueryTableEntry, Sort } from './model';
import { QueryTableComponent } from './query-table.component';
import * as i0 from "@angular/core";
/**
 * Base component class for views using the {@link QueryTableComponent}.
 */
export declare abstract class QueryTableViewComponent<TEntity extends object = any, TViewConfig extends DeepPartial<TEntity> = TEntity, TEntry extends QueryTableEntry<TEntity, TViewConfig> = QueryTableEntry<TEntity, TViewConfig>> implements OnInit, AfterViewInit, OnDestroy {
    #private;
    protected readonly _activatedRoute: ActivatedRoute;
    protected readonly _router: Router;
    protected readonly _mediaWatcherService: IMediaWatcherService;
    readonly defaultSort: Sort;
    drawerMode: 'side' | 'over';
    abstract matDrawer: MatDrawer;
    abstract readonly filter: ElementRef<HTMLInputElement>;
    protected constructor(_activatedRoute: ActivatedRoute, _router: Router, _mediaWatcherService: IMediaWatcherService, defaultSort?: Sort);
    get unsubscribeAll(): Subject<void>;
    abstract get queryFilter(): EntityFilter;
    protected abstract get queryTable(): QueryTableComponent<TEntity, TViewConfig, TEntry>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    applyFilter(params: ParamMap): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryTableViewComponent<any, any, any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QueryTableViewComponent<any, any, any>>;
}
