import { EventEmitter, InjectionToken, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { Observable } from 'rxjs';
import { QueryTableDatasource } from '../model';
import * as i0 from "@angular/core";
export declare const RELOAD_BUTTON_ICON: InjectionToken<unknown>;
export declare class ReloadButtonComponent<T extends object = any> implements OnInit, OnChanges, OnDestroy {
    #private;
    readonly icon: string;
    color: ThemePalette;
    dataSource: QueryTableDatasource<T>;
    spinDirection: 'clockwise' | 'counter-clockwise';
    showText: boolean;
    readonly reload: EventEmitter<void>;
    animationDelay$: Observable<boolean>;
    constructor(icon: string);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    click(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReloadButtonComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReloadButtonComponent<any>, "yukawa-query-table-reload-button", never, { "color": { "alias": "color"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "spinDirection": { "alias": "spinDirection"; "required": false; }; "showText": { "alias": "showText"; "required": false; }; }, { "reload": "reload"; }, never, never, false, never>;
}
