export interface ISelectOption<TValue = unknown, TObject extends object = any> {
    name: string;
    value: TValue;
    objectValue?: TObject;
    objectChildren?: Array<TObject>;
    canSelect?: () => boolean;
    canDeselect?: () => boolean;
    isSelected?: () => boolean;
    select?: (selected: boolean) => void;
    options?: Array<ISelectOption<TValue, TObject>>;
}
export interface ISelectOptions<TValue, TObject extends object = object, TOption extends ISelectOption<TValue, TObject> = ISelectOption<TValue, TObject>> {
    values: Array<TObject>;
    valuesTree: Array<TObject>;
    options: Array<TOption>;
    optionsTree: Array<TOption>;
    add(option: TOption): void;
    remove(option: TOption): void;
    findOption(option: TObject): TOption;
}
