import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Directive for detecting element focused state.
 *
 * @example
 * referencing the directive:
 * ```
 *     <input focused #isFocused="hasFocus">
 *     <div>has focus: {{isFocused.hasFocus}}</div>
 * ```
 * binding to the event:
 * ```
 *     <input focused (focusChange)="isFocused = $event">
 *     <div>has focus: {{isFocused}}</div>
 * ```
 */
export declare class FocusedDirective {
    private el;
    hasFocus: boolean;
    focusChange: EventEmitter<boolean>;
    constructor(el: ElementRef);
    onBlur(e: FocusEvent): void;
    onFocus(e: FocusEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusedDirective, "input[focused],textarea[focused]", ["hasFocus"], {}, {}, never, never, false, never>;
}
