import { FormControl } from '@angular/forms';
import { EmojiSearch } from '@ctrl/ngx-emoji-mart';
import { EmojiData } from '@ctrl/ngx-emoji-mart/ngx-emoji';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export type EmojiEvent = string | Event & {
    emoji: EmojiData;
};
export declare class EmojiService {
    private emojiSearch;
    emojiMatch: RegExp;
    colonPairMatch: RegExp;
    constructor(emojiSearch: EmojiSearch);
    /**
     * Turns a string with colon emojis into native form.
     *
     * @param s The string to convert into native emoji format
     */
    colonsToNative(s: string): string;
    removeColons(s: string): string;
    /**
     * Turns a string with native emojis into a colon form and removes unknown emojis and ZWJ Sequences.
     *
     * @param s The string to convert into colon emoji format
     */
    nativeEmojiToColons(s: string): string;
    removeNative(s: string): string;
    remove(s: string): string;
    transformColonToNative(formControl: FormControl, input: HTMLInputElement | HTMLTextAreaElement): Observable<string>;
    insert(emoji: EmojiEvent, input: HTMLInputElement | HTMLTextAreaElement): void;
    private replace;
    private mapEmojiToString;
    private mapStringToEmoji;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmojiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EmojiService>;
}
