import { Location } from '@angular/common';
import { NgZone } from '@angular/core';
import { NavigationExtras, Router } from '@angular/router';
import { EventArgs } from '@awesome-nodes/object';
import { ConfigService, EventDelegate, ObjectModel } from '@yukawa/chain-base-angular-client';
import { Nullable } from 'simplytyped';
import * as i0 from "@angular/core";
export declare class NavigateBackEventArgs extends EventArgs {
    #private;
    constructor();
    get cancel(): boolean;
    set cancel(value: boolean);
    get events(): Array<Promise<void>>;
}
export declare class ToggleFooterEventArgs extends EventArgs {
    #private;
    constructor(display: boolean);
    get display(): boolean;
    set display(value: boolean);
}
export declare class NavigationService extends ObjectModel {
    #private;
    private readonly _configService;
    private readonly _router;
    private readonly _location;
    private readonly _ngZone;
    readonly navigateBack: EventDelegate<NavigationService, NavigateBackEventArgs>;
    readonly toggleFooter: EventDelegate<NavigationService, ToggleFooterEventArgs>;
    private _previousUrl;
    private _backToPreviousUrl;
    private readonly _storeKey;
    constructor(_configService: ConfigService, _router: Router, _location: Location, _ngZone: NgZone);
    /**
     * Returns the previous url in the history which path is different from the current url.
     *
     * @return `string | undefined` The previous url or undefined if there is no previous url.
     */
    get previousUrl(): Nullable<string>;
    goBackToPreviousUrl(): void;
    back(extras?: NavigationExtras): Promise<boolean>;
    clearHistory(): void;
    private loadNavigationHistory;
    private saveNavigationHistory;
    private monitorRouterEvents;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigationService>;
}
