import * as i0 from '@angular/core';
import { Directive, Input, Component, ChangeDetectionStrategy, NgModule, EventEmitter, Inject, Output, HostBinding, InjectionToken, Optional, Injectable, ElementRef, ViewContainerRef, ViewChild, ViewChildren } from '@angular/core';
import { fadeIn, fadeOut } from '@yukawa/chain-base-angular-comp/animations';
import * as i2 from '@yukawa/chain-base-angular-comp/shared';
import { MarkedPipe, SharedModule, DELETE_ICON, SAVE_ICON, CANCEL_ICON, Version, MOMENT_FORMATS, NativeElementInjectorModule, MEDIA_WATCHER_SERVICE, getPaginatorIntl } from '@yukawa/chain-base-angular-comp/shared';
import { BehaviorSubject, Subject, takeUntil, tap, lastValueFrom, fromEvent, switchMap, of, timer, map } from 'rxjs';
import * as i6 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i4 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i3$1 from '@jsverse/transloco';
import { TranslocoModule } from '@jsverse/transloco';
import * as i2$1 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i3$2 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i4$1 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { HttpErrorResponse } from '@angular/common/http';
import * as i15 from '@angular/forms';
import { Validators, FormControl, FormGroup, ReactiveFormsModule } from '@angular/forms';
import { MomentDateAdapter, MAT_MOMENT_DATE_ADAPTER_OPTIONS } from '@angular/material-moment-adapter';
import * as i1 from '@angular/material/core';
import { DateAdapter, MAT_DATE_LOCALE, MAT_DATE_FORMATS, MatNativeDateModule, MatRippleModule } from '@angular/material/core';
import * as i5 from '@angular/material/autocomplete';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import * as i8 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i9 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';
import * as i10 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i12 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i13 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import * as i3$3 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import '@awesome-nodes/object/data';
import * as i2$3 from '@yukawa/chain-base-angular-client';
import { Entity, AppInjector, ConfigService, Exception, TemplateString, isNumber } from '@yukawa/chain-base-angular-client';
import { isNaN, cloneDeep, isEqual } from 'lodash-es';
import { QueryTableSource } from '@yukawa/chain-base-angular-store';
import { fromPromise } from 'rxjs/internal/observable/innerFrom';
import * as i1$1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i2$2 from '@yukawa/chain-base-angular-comp/confirmation';
import * as i4$2 from '@angular/material/snack-bar';
import { debounceTime, distinctUntilChanged } from 'rxjs/operators';
import * as i4$3 from '@angular/cdk/overlay';
import { OverlayConfig } from '@angular/cdk/overlay';
import { TemplatePortal } from '@angular/cdk/portal';
import * as i10$1 from '@angular/material/paginator';
import { MatPaginator, MatPaginatorIntl, MatPaginatorModule } from '@angular/material/paginator';
import * as i12$1 from '@angular/material/sort';
import { MatSort, MatSortModule } from '@angular/material/sort';
import * as i13$1 from '@angular/material/table';
import { MatTableModule } from '@angular/material/table';

class CellComponentDirective {
    viewContainer;
    component;
    detail;
    entry;
    constructor(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ngOnInit() {
        const expandedComponent = this.viewContainer.createComponent(this.component);
        expandedComponent.instance.detail = this.detail;
        expandedComponent.instance.entry = this.entry;
    }
    /** @nocollapse */ static ɵfac = function CellComponentDirective_Factory(t) { return new (t || CellComponentDirective)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    /** @nocollapse */ static ɵdir = /** @pureOrBreakMyCode */ i0.ɵɵdefineDirective({ type: CellComponentDirective, selectors: [["", "libCellComponent", ""]], inputs: { component: "component", detail: "detail", entry: "entry" } });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CellComponentDirective, [{
        type: Directive,
        args: [{
                selector: '[libCellComponent]',
            }]
    }], () => [{ type: i0.ViewContainerRef }], { component: [{
            type: Input
        }], detail: [{
            type: Input
        }], entry: [{
            type: Input
        }] }); })();

const _c0$3 = (a0, a1) => ({ "justify-between": a0, "flex-col": a1 });
const _c1$2 = (a0, a1) => ({ "break-normal": a0, "break-all": a1 });
function QueryTableEntryDetailsComponent_div_0_ng_container_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 6);
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("entry", ctx_r1.entry)("detail", _detail_r1)("component", ctx_r1.getCellComponent(_detail_r1.key));
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵpipe(1, "dateFormat");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "dateFormat");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", i0.ɵɵpipeBind2(1, 3, _detail_r1.value, "LLL"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind2(3, 6, _detail_r1.value, "L"), " ");
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵpipe(1, "dateFormat");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "dateFormat");
    i0.ɵɵpipe(4, "dateFormat");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", i0.ɵɵpipeBind2(1, 4, _detail_r1.value, "LLL"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2(" ", i0.ɵɵpipeBind2(3, 7, _detail_r1.value, "L"), " ", i0.ɵɵpipeBind2(4, 10, _detail_r1.value, "LT"), " ");
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 13)(1, "a", 14);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("href", _detail_r1.value, i0.ɵɵsanitizeUrl)("@fadeIn", undefined);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(_detail_r1.value);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_mat_checkbox_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-checkbox", 15);
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("checked", _detail_r1.value);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_ul_5_li_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const value_r3 = ctx.$implicit;
    i0.ɵɵproperty("@fadeIn", undefined);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(value_r3);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_ul_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, QueryTableEntryDetailsComponent_div_0_ng_container_6_ul_5_li_1_Template, 2, 2, "li", 16);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", _detail_r1.value);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 20);
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(3).$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassMap(_detail_r1.class);
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", _detail_r1.value)("innerHTML", ctx_r1.getDetailValue(_detail_r1), i0.ɵɵsanitizeHtml);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_span_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 12);
    i0.ɵɵpipe(1, "sanitizer");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "sanitizer");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(3).$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassMap(_detail_r1.class);
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", i0.ɵɵpipeBind1(1, 6, _detail_r1.value));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(3, 8, ctx_r1.getDetailValue(_detail_r1)));
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 17);
    i0.ɵɵelementContainerStart(1, 3);
    i0.ɵɵtemplate(2, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_span_2_Template, 1, 6, "span", 18)(3, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_span_3_Template, 4, 10, "span", 19);
    i0.ɵɵelementContainerEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(4, _c1$2, ctx_r1.containsSpaces(_detail_r1.value), !ctx_r1.containsSpaces(_detail_r1.value)));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitch", _detail_r1.markdownSupport);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", false);
} }
function QueryTableEntryDetailsComponent_div_0_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 3);
    i0.ɵɵtemplate(1, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_1_Template, 4, 9, "div", 7)(2, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_2_Template, 5, 13, "div", 7)(3, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_3_Template, 3, 3, "div", 8)(4, QueryTableEntryDetailsComponent_div_0_ng_container_6_mat_checkbox_4_Template, 1, 1, "mat-checkbox", 9)(5, QueryTableEntryDetailsComponent_div_0_ng_container_6_ul_5_Template, 2, 1, "ul", 10)(6, QueryTableEntryDetailsComponent_div_0_ng_container_6_div_6_Template, 4, 7, "div", 11);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _detail_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("ngSwitch", _detail_r1.type);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "date");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "dateTime");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "url");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "boolean");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "multiselect");
} }
function QueryTableEntryDetailsComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1)(1, "div", 2);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerStart(4, 3);
    i0.ɵɵtemplate(5, QueryTableEntryDetailsComponent_div_0_ng_container_5_Template, 1, 3, "ng-container", 4)(6, QueryTableEntryDetailsComponent_div_0_ng_container_6_Template, 7, 6, "ng-container", 5);
    i0.ɵɵelementContainerEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r1 = ctx.$implicit;
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(6, _c0$3, ctx_r1.viewDirection === "vertical", ctx_r1.isLongValue(_detail_r1.value) || ctx_r1.viewDirection === "horizontal"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(3, 4, _detail_r1.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngSwitch", ctx_r1.cellComponents == null ? null : ctx_r1.cellComponents.has(_detail_r1.key));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
} }
class QueryTableEntryDetailsComponent {
    _changeDetector;
    _emojiService;
    entry;
    ignoreDetails;
    viewDirection = 'vertical';
    cellComponents;
    details$ = new BehaviorSubject([]);
    filteredDetails$ = new BehaviorSubject([]);
    detailValues = new Map();
    _markedPipe = new MarkedPipe();
    constructor(_changeDetector, _emojiService) {
        this._changeDetector = _changeDetector;
        this._emojiService = _emojiService;
    }
    ngOnInit() {
        this.detailValues.clear();
        this.details$.next([
            ...Array.from(this.entry.details.values())
                .filter(detail => detail.showInDetails && (!this.ignoreDetails || !this.ignoreDetails.includes(detail.key))),
        ]);
    }
    ngOnChanges(changes) {
        if (changes['entry']) {
            this.ngOnInit();
            this._changeDetector.markForCheck();
        }
    }
    isLongValue(value) {
        if (typeof value === 'string') {
            return value.length > 32;
        }
        return false;
    }
    containsSpaces(value) {
        if (typeof value === 'string') {
            return value.indexOf(' ') > -1;
        }
        return false;
    }
    getDetailValue(detail) {
        let rowMap;
        if (!this.detailValues.has(this.entry.id)) {
            rowMap = new Map();
            this.detailValues.set(this.entry.id, rowMap);
        }
        else {
            rowMap = this.detailValues.get(this.entry.id);
        }
        if (rowMap.has(detail.key)) {
            return rowMap.get(detail.key);
        }
        let value = detail.value === 0 ? 0 : detail.value || '';
        if (detail?.emojiSupport) {
            value = this._emojiService.colonsToNative(value);
        }
        if (detail?.markdownSupport) {
            value = this._markedPipe.transform(value);
        }
        if (Array.isArray(value)) {
            value = value.join(', ');
        }
        rowMap.set(detail.key, value);
        return value;
    }
    getCellComponent(key) {
        return this.cellComponents?.get(key);
    }
    /** @nocollapse */ static ɵfac = function QueryTableEntryDetailsComponent_Factory(t) { return new (t || QueryTableEntryDetailsComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i2.EmojiService)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: QueryTableEntryDetailsComponent, selectors: [["yukawa-query-table-entry-details"]], inputs: { entry: "entry", ignoreDetails: "ignoreDetails", viewDirection: "viewDirection", cellComponents: "cellComponents" }, features: [i0.ɵɵNgOnChangesFeature], decls: 2, vars: 3, consts: [["class", "flex py-3", 3, "ngClass", 4, "ngFor", "ngForOf"], [1, "flex", "py-3", 3, "ngClass"], [1, "text-secondary"], [3, "ngSwitch"], ["libCellComponent", "", 3, "entry", "detail", "component", 4, "ngSwitchCase"], [3, "ngSwitch", 4, "ngSwitchDefault"], ["libCellComponent", "", 3, "entry", "detail", "component"], [3, "matTooltip", 4, "ngSwitchCase"], ["class", "break-all", 4, "ngSwitchCase"], ["disabled", "", 3, "checked", 4, "ngSwitchCase"], [4, "ngSwitchCase"], [3, "ngClass", 4, "ngSwitchDefault"], [3, "matTooltip"], [1, "break-all"], [3, "href"], ["disabled", "", 3, "checked"], [4, "ngFor", "ngForOf"], [3, "ngClass"], [3, "class", "matTooltip", "innerHTML", 4, "ngSwitchCase"], [3, "class", "matTooltip", 4, "ngSwitchCase"], [3, "matTooltip", "innerHTML"]], template: function QueryTableEntryDetailsComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, QueryTableEntryDetailsComponent_div_0_Template, 7, 9, "div", 0);
            i0.ɵɵpipe(1, "async");
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(1, 1, ctx.details$));
        } }, dependencies: [i6.NgClass, i6.NgForOf, i6.NgSwitch, i6.NgSwitchCase, i6.NgSwitchDefault, i3.MatCheckbox, i4.MatTooltip, CellComponentDirective, i6.AsyncPipe, i2.DateFormatPipe, i2.SanitizerPipe, i3$1.TranslocoPipe], data: { animation: [fadeIn] }, changeDetection: 0 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableEntryDetailsComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table-entry-details', animations: [fadeIn], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *ngFor=\"let _detail of (details$ | async)\" class=\"flex py-3\" [ngClass]=\"{\n        'justify-between': viewDirection === 'vertical',\n        'flex-col': isLongValue(_detail.value) || viewDirection === 'horizontal'\n    }\">\n\n    <div class=\"text-secondary\">{{ _detail.label | transloco }}</div>\n    <ng-container [ngSwitch]=\"cellComponents?.has(_detail.key)\">\n        <ng-container *ngSwitchCase=\"true\" libCellComponent [entry]=\"entry\" [detail]=\"_detail\"\n            [component]=\"getCellComponent(_detail.key)\"></ng-container>\n\n        <ng-container *ngSwitchDefault [ngSwitch]=\"_detail.type\">\n\n            <div *ngSwitchCase=\"'date'\" @fadeIn [matTooltip]=\"_detail.value | dateFormat: 'LLL'\">{{ _detail.value |\n                dateFormat: 'L' }}\n            </div>\n\n            <div *ngSwitchCase=\"'dateTime'\" @fadeIn [matTooltip]=\"_detail.value | dateFormat: 'LLL'\">\n                {{ _detail.value | dateFormat: 'L' }} {{ _detail.value | dateFormat: 'LT' }}\n            </div>\n\n            <div *ngSwitchCase=\"'url'\" class=\"break-all\">\n                <a [href]=\"_detail.value\" @fadeIn>{{ _detail.value }}</a>\n            </div>\n\n            <mat-checkbox *ngSwitchCase=\"'boolean'\" [checked]=\"_detail.value\" disabled></mat-checkbox>\n\n            <ul *ngSwitchCase=\"'multiselect'\">\n                <li *ngFor=\"let value of _detail.value\" @fadeIn>{{ value }}</li>\n            </ul>\n\n            <div *ngSwitchDefault [ngClass]=\"{\n                                'break-normal': containsSpaces(_detail.value),\n                                'break-all': !containsSpaces(_detail.value)\n                            }\">\n                <ng-container [ngSwitch]=\"_detail.markdownSupport\">\n                    <span @fadeIn *ngSwitchCase=\"true\" class=\"{{ _detail.class }}\" [matTooltip]=\"_detail.value\"\n                        [innerHTML]=\"getDetailValue(_detail)\"></span>\n                    <span @fadeIn *ngSwitchCase=\"false\" class=\"{{ _detail.class }}\"\n                        [matTooltip]=\"_detail.value | sanitizer\">{{ getDetailValue(_detail) | sanitizer }}</span>\n                </ng-container>\n\n            </div>\n\n        </ng-container>\n    </ng-container>\n\n</div>" }]
    }], () => [{ type: i0.ChangeDetectorRef }, { type: i2.EmojiService }], { entry: [{
            type: Input
        }], ignoreDetails: [{
            type: Input
        }], viewDirection: [{
            type: Input
        }], cellComponents: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(QueryTableEntryDetailsComponent, { className: "QueryTableEntryDetailsComponent", filePath: "entry/details/details.component.ts", lineNumber: 25 }); })();

class CellComponentModule {
    /** @nocollapse */ static ɵfac = function CellComponentModule_Factory(t) { return new (t || CellComponentModule)(); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CellComponentModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({});
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CellComponentModule, [{
        type: NgModule,
        args: [{
                declarations: [CellComponentDirective],
                exports: [CellComponentDirective],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CellComponentModule, { declarations: [CellComponentDirective], exports: [CellComponentDirective] }); })();

class QueryTableEntryDetailsModule {
    /** @nocollapse */ static ɵfac = function QueryTableEntryDetailsModule_Factory(t) { return new (t || QueryTableEntryDetailsModule)(); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: QueryTableEntryDetailsModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [CommonModule,
            MatCheckboxModule,
            MatTooltipModule,
            SharedModule,
            TranslocoModule,
            CellComponentModule] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableEntryDetailsModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    QueryTableEntryDetailsComponent,
                ],
                imports: [
                    CommonModule,
                    MatCheckboxModule,
                    MatTooltipModule,
                    SharedModule,
                    TranslocoModule,
                    CellComponentModule
                ],
                exports: [
                    QueryTableEntryDetailsComponent,
                ],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(QueryTableEntryDetailsModule, { declarations: [QueryTableEntryDetailsComponent], imports: [CommonModule,
        MatCheckboxModule,
        MatTooltipModule,
        SharedModule,
        TranslocoModule,
        CellComponentModule], exports: [QueryTableEntryDetailsComponent] }); })();

function FormButtonsComponent_mat_spinner_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 4);
} }
function FormButtonsComponent_mat_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 5);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("svgIcon", ctx_r0.deleteIcon);
} }
function FormButtonsComponent_mat_spinner_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 4);
} }
function FormButtonsComponent_mat_icon_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 5);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("svgIcon", ctx_r0.saveIcon);
} }
class FormButtonsComponent {
    deleteIcon;
    saveIcon;
    formComponent;
    delete = new EventEmitter();
    save = new EventEmitter();
    hostClass = 'grid grid-cols-2 gap-4 w-full mt-8';
    fadeIn = true;
    fadeOut = true;
    constructor(deleteIcon, saveIcon) {
        this.deleteIcon = deleteIcon;
        this.saveIcon = saveIcon;
    }
    /** @nocollapse */ static ɵfac = function FormButtonsComponent_Factory(t) { return new (t || FormButtonsComponent)(i0.ɵɵdirectiveInject(DELETE_ICON), i0.ɵɵdirectiveInject(SAVE_ICON)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: FormButtonsComponent, selectors: [["yukawa-query-table-entry-form-buttons"]], hostVars: 4, hostBindings: function FormButtonsComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵsyntheticHostProperty("@fadeIn", ctx.fadeIn)("@fadeOut", ctx.fadeOut);
            i0.ɵɵclassMap(ctx.hostClass);
        } }, inputs: { formComponent: "formComponent" }, outputs: { delete: "delete", save: "save" }, decls: 10, vars: 14, consts: [["mat-stroked-button", "", 1, "flex-auto", 3, "click", "color", "disabled"], ["class", "mr-2", "diameter", "20", "color", "accent", 4, "ngIf"], ["class", "mr-2", 3, "svgIcon", 4, "ngIf"], ["mat-flat-button", "", 1, "flex-auto", 3, "click", "color", "disabled"], ["diameter", "20", "color", "accent", 1, "mr-2"], [1, "mr-2", 3, "svgIcon"]], template: function FormButtonsComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "button", 0);
            i0.ɵɵlistener("click", function FormButtonsComponent_Template_button_click_0_listener() { return ctx.delete.emit(); });
            i0.ɵɵtemplate(1, FormButtonsComponent_mat_spinner_1_Template, 1, 0, "mat-spinner", 1)(2, FormButtonsComponent_mat_icon_2_Template, 1, 1, "mat-icon", 2);
            i0.ɵɵtext(3);
            i0.ɵɵpipe(4, "transloco");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "button", 3);
            i0.ɵɵlistener("click", function FormButtonsComponent_Template_button_click_5_listener() { return ctx.save.emit(); });
            i0.ɵɵtemplate(6, FormButtonsComponent_mat_spinner_6_Template, 1, 0, "mat-spinner", 1)(7, FormButtonsComponent_mat_icon_7_Template, 1, 1, "mat-icon", 2);
            i0.ɵɵtext(8);
            i0.ɵɵpipe(9, "transloco");
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("color", "warn")("disabled", !ctx.formComponent.isEnabled);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.formComponent.isDeleting);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.formComponent.isDeleting);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(4, 10, "BUTTON.DELETE"), "\n");
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("color", "primary")("disabled", !ctx.formComponent.isValid || !ctx.formComponent.isEnabled);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.formComponent.isEnabled && !ctx.formComponent.isDeleting);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(!ctx.formComponent.isEnabled && !ctx.formComponent.isDeleting));
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(9, 12, "BUTTON.SAVE"), "\n");
        } }, dependencies: [i6.NgIf, i2$1.MatButton, i3$2.MatIcon, i4$1.MatProgressSpinner, i3$1.TranslocoPipe], encapsulation: 2, data: { animation: [fadeIn, fadeOut] } });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FormButtonsComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table-entry-form-buttons', animations: [fadeIn, fadeOut], template: "<!-- Delete button -->\n<button class=\"flex-auto\"\n        [color]=\"'warn'\"\n        mat-stroked-button\n        [disabled]=\"!formComponent.isEnabled\"\n        (click)=\"delete.emit()\">\n    <mat-spinner *ngIf=\"formComponent.isDeleting\"\n                 class=\"mr-2\" diameter=\"20\" color=\"accent\"\n    ></mat-spinner>\n    <mat-icon *ngIf=\"!formComponent.isDeleting\"\n              class=\"mr-2\" [svgIcon]=\"deleteIcon\"></mat-icon>\n    {{ 'BUTTON.DELETE' | transloco }}\n</button>\n\n<!-- Save button -->\n<button class=\"flex-auto\"\n        mat-flat-button\n        [color]=\"'primary'\"\n        [disabled]=\"!formComponent.isValid || !formComponent.isEnabled\"\n        (click)=\"save.emit()\">\n    <mat-spinner *ngIf=\"!formComponent.isEnabled && !formComponent.isDeleting\"\n                 class=\"mr-2\" diameter=\"20\" color=\"accent\"></mat-spinner>\n    <mat-icon *ngIf=\"!(!formComponent.isEnabled && !formComponent.isDeleting)\"\n              class=\"mr-2\" [svgIcon]=\"saveIcon\"></mat-icon>\n    {{ 'BUTTON.SAVE' | transloco }}\n</button>\n" }]
    }], () => [{ type: undefined, decorators: [{
                type: Inject,
                args: [DELETE_ICON]
            }] }, { type: undefined, decorators: [{
                type: Inject,
                args: [SAVE_ICON]
            }] }], { formComponent: [{
            type: Input
        }], delete: [{
            type: Output
        }], save: [{
            type: Output
        }], hostClass: [{
            type: HostBinding,
            args: ['class']
        }], fadeIn: [{
            type: HostBinding,
            args: ['@fadeIn']
        }], fadeOut: [{
            type: HostBinding,
            args: ['@fadeOut']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(FormButtonsComponent, { className: "FormButtonsComponent", filePath: "entry/form/buttons/buttons.component.ts", lineNumber: 13 }); })();

function FormActionButtonsComponent_button_0_mat_spinner_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 9);
} }
function FormActionButtonsComponent_button_0_mat_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 2);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("svgIcon", ctx_r1.deleteIcon);
} }
function FormActionButtonsComponent_button_0_Template(rf, ctx) { if (rf & 1) {
    const _r1 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 5);
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵlistener("click", function FormActionButtonsComponent_button_0_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r1); const ctx_r1 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r1.delete.emit()); });
    i0.ɵɵtemplate(2, FormActionButtonsComponent_button_0_mat_spinner_2_Template, 1, 0, "mat-spinner", 6)(3, FormActionButtonsComponent_button_0_mat_icon_3_Template, 1, 1, "mat-icon", 7);
    i0.ɵɵelement(4, "span", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", "warn")("matTooltip", i0.ɵɵpipeBind1(1, 5, "BUTTON.DELETE"))("disabled", !ctx_r1.formComponent.isEnabled);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r1.formComponent.isDeleting);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.formComponent.isDeleting);
} }
function FormActionButtonsComponent_button_5_mat_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 2);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("svgIcon", ctx_r1.saveIcon);
} }
function FormActionButtonsComponent_button_5_mat_spinner_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 9);
} }
function FormActionButtonsComponent_button_5_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 10);
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵlistener("click", function FormActionButtonsComponent_button_5_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r3); const ctx_r1 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r1.save.emit()); });
    i0.ɵɵtemplate(2, FormActionButtonsComponent_button_5_mat_icon_2_Template, 1, 1, "mat-icon", 7)(3, FormActionButtonsComponent_button_5_mat_spinner_3_Template, 1, 0, "mat-spinner", 6);
    i0.ɵɵelement(4, "span", 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", "primary")("disabled", !ctx_r1.formComponent.isValid || !ctx_r1.formComponent.isEnabled)("matTooltip", i0.ɵɵpipeBind1(1, 5, "BUTTON.SAVE"));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !(!ctx_r1.formComponent.isEnabled && !ctx_r1.formComponent.isDeleting));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.formComponent.isEnabled && !ctx_r1.formComponent.isDeleting);
} }
class FormActionButtonsComponent extends FormButtonsComponent {
    deleteIcon;
    cancelIcon;
    saveIcon;
    showDelete = true;
    showSave = true;
    cancel = new EventEmitter();
    hostClass = 'space-x-2 space-y-2 text-center';
    constructor(deleteIcon, cancelIcon, saveIcon) {
        super(deleteIcon, saveIcon);
        this.deleteIcon = deleteIcon;
        this.cancelIcon = cancelIcon;
        this.saveIcon = saveIcon;
    }
    /** @nocollapse */ static ɵfac = function FormActionButtonsComponent_Factory(t) { return new (t || FormActionButtonsComponent)(i0.ɵɵdirectiveInject(DELETE_ICON), i0.ɵɵdirectiveInject(CANCEL_ICON), i0.ɵɵdirectiveInject(SAVE_ICON)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: FormActionButtonsComponent, selectors: [["yukawa-query-table-entry-form-action-buttons"]], hostVars: 2, hostBindings: function FormActionButtonsComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassMap(ctx.hostClass);
        } }, inputs: { showDelete: "showDelete", showSave: "showSave" }, outputs: { cancel: "cancel" }, features: [i0.ɵɵInheritDefinitionFeature], decls: 6, vars: 7, consts: [["class", "px-1 md:px-4 min-w-10 justify-self-center", "mat-button", "", 3, "color", "matTooltip", "disabled", "click", 4, "ngIf"], ["mat-button", "", 1, "px-1", "md:px-4", "min-w-10", "justify-self-center", 3, "click", "matTooltip", "disabled"], [1, "md:mr-2", 3, "svgIcon"], ["transloco", "BUTTON.CANCEL", 1, "hidden", "md:inline-block"], ["class", "px-1 md:px-4 min-w-10 justify-self-center", "mat-flat-button", "", 3, "color", "disabled", "matTooltip", "click", 4, "ngIf"], ["mat-button", "", 1, "px-1", "md:px-4", "min-w-10", "justify-self-center", 3, "click", "color", "matTooltip", "disabled"], ["class", "mr-2", "diameter", "20", "color", "accent", 4, "ngIf"], ["class", "md:mr-2", 3, "svgIcon", 4, "ngIf"], ["transloco", "BUTTON.DELETE", 1, "hidden", "md:inline-block"], ["diameter", "20", "color", "accent", 1, "mr-2"], ["mat-flat-button", "", 1, "px-1", "md:px-4", "min-w-10", "justify-self-center", 3, "click", "color", "disabled", "matTooltip"], ["transloco", "BUTTON.SAVE", 1, "hidden", "md:inline-block"]], template: function FormActionButtonsComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, FormActionButtonsComponent_button_0_Template, 5, 7, "button", 0);
            i0.ɵɵelementStart(1, "button", 1);
            i0.ɵɵpipe(2, "transloco");
            i0.ɵɵlistener("click", function FormActionButtonsComponent_Template_button_click_1_listener() { return ctx.cancel.emit(); });
            i0.ɵɵelement(3, "mat-icon", 2)(4, "span", 3);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(5, FormActionButtonsComponent_button_5_Template, 5, 7, "button", 4);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.showDelete && ctx.formComponent.pageType !== "new");
            i0.ɵɵadvance();
            i0.ɵɵproperty("matTooltip", i0.ɵɵpipeBind1(2, 5, "BUTTON.CANCEL"))("disabled", !ctx.formComponent.isEnabled && !ctx.formComponent.isUploading);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("svgIcon", ctx.cancelIcon);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.showSave);
        } }, dependencies: [i6.NgIf, i2$1.MatButton, i3$2.MatIcon, i4$1.MatProgressSpinner, i4.MatTooltip, i3$1.TranslocoDirective, i3$1.TranslocoPipe], encapsulation: 2 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FormActionButtonsComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table-entry-form-action-buttons', template: "<!-- Delete -->\n<button class=\"px-1 md:px-4 min-w-10 justify-self-center\" mat-button\n        *ngIf=\"showDelete && (formComponent.pageType !=='new')\"\n        [color]=\"'warn'\" [matTooltip]=\"'BUTTON.DELETE' | transloco\"\n        (click)=\"delete.emit()\" [disabled]=\"!formComponent.isEnabled\">\n    <mat-spinner *ngIf=\"formComponent.isDeleting\" class=\"mr-2\" diameter=\"20\"\n                 color=\"accent\"></mat-spinner>\n    <mat-icon *ngIf=\"!formComponent.isDeleting\"\n              class=\"md:mr-2\" [svgIcon]=\"deleteIcon\"\n    ></mat-icon>\n    <span class=\"hidden md:inline-block\" transloco=\"BUTTON.DELETE\"></span>\n</button>\n\n<!-- Cancel -->\n<button class=\"px-1 md:px-4 min-w-10 justify-self-center\" mat-button [matTooltip]=\"'BUTTON.CANCEL' | transloco\"\n        (click)=\"cancel.emit()\"\n        [disabled]=\"!formComponent.isEnabled && !formComponent.isUploading\">\n    <mat-icon class=\"md:mr-2\" [svgIcon]=\"cancelIcon\"></mat-icon>\n    <span class=\"hidden md:inline-block\" transloco=\"BUTTON.CANCEL\"></span>\n</button>\n\n<!-- Save -->\n<button class=\"px-1 md:px-4 min-w-10 justify-self-center\" mat-flat-button [color]=\"'primary'\"\n        *ngIf=\"showSave\"\n        [disabled]=\"!formComponent.isValid || !formComponent.isEnabled\"\n        [matTooltip]=\"'BUTTON.SAVE' | transloco\" (click)=\"save.emit()\">\n    <mat-icon *ngIf=\"!(!formComponent.isEnabled && !formComponent.isDeleting)\"\n              class=\"md:mr-2\" [svgIcon]=\"saveIcon\"\n    ></mat-icon>\n    <mat-spinner *ngIf=\"!formComponent.isEnabled && !formComponent.isDeleting\" class=\"mr-2\" diameter=\"20\"\n                 color=\"accent\"></mat-spinner>\n    <span class=\"hidden md:inline-block\" transloco=\"BUTTON.SAVE\"></span>\n</button>\n" }]
    }], () => [{ type: undefined, decorators: [{
                type: Inject,
                args: [DELETE_ICON]
            }] }, { type: undefined, decorators: [{
                type: Inject,
                args: [CANCEL_ICON]
            }] }, { type: undefined, decorators: [{
                type: Inject,
                args: [SAVE_ICON]
            }] }], { showDelete: [{
            type: Input
        }], showSave: [{
            type: Input
        }], cancel: [{
            type: Output
        }], hostClass: [{
            type: HostBinding,
            args: ['class']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(FormActionButtonsComponent, { className: "FormActionButtonsComponent", filePath: "entry/form/buttons/action-buttons.component.ts", lineNumber: 10 }); })();

class FormFieldComponentDirective {
    viewContainer;
    component;
    config;
    constructor(viewContainer) {
        this.viewContainer = viewContainer;
    }
    ngOnInit() {
        if (!this.component) {
            return;
        }
        const expandedComponent = this.viewContainer.createComponent(this.component);
        expandedComponent.instance.config = this.config;
    }
    /** @nocollapse */ static ɵfac = function FormFieldComponentDirective_Factory(t) { return new (t || FormFieldComponentDirective)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
    /** @nocollapse */ static ɵdir = /** @pureOrBreakMyCode */ i0.ɵɵdefineDirective({ type: FormFieldComponentDirective, selectors: [["", "libFormFieldComponent", ""]], inputs: { component: "component", config: "config" } });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FormFieldComponentDirective, [{
        type: Directive,
        args: [{
                selector: '[libFormFieldComponent]',
            }]
    }], () => [{ type: i0.ViewContainerRef }], { component: [{
            type: Input
        }], config: [{
            type: Input
        }] }); })();

const _c0$2 = (a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11) => ({ "grid-cols-1": a0, "grid-cols-2": a1, "grid-cols-3": a2, "grid-cols-4": a3, "grid-cols-5": a4, "grid-cols-6": a5, "grid-cols-7": a6, "grid-cols-8": a7, "grid-cols-9": a8, "grid-cols-10": a9, "grid-cols-11": a10, "grid-cols-12": a11 });
const _c1$1 = (a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11) => ({ "col-span-1": a0, "col-span-2": a1, "col-span-3": a2, "col-span-4": a3, "col-span-5": a4, "col-span-6": a5, "col-span-7": a6, "col-span-8": a7, "col-span-9": a8, "col-span-10": a9, "col-span-11": a10, "col-span-12": a11 });
const _c2$1 = a0 => ({ value: a0 });
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_ng_container_9_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r3 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r3.value.message, _validationMessage_r3.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_ng_container_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_ng_container_9_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r3 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r3.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field", 12)(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 14);
    i0.ɵɵpipe(7, "transloco");
    i0.ɵɵpipe(8, "transloco");
    i0.ɵɵtemplate(9, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_ng_container_9_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(10, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunctionV(20, _c1$1, [ctx_r1.getGridColumnSize(_formField_r1) === 1, ctx_r1.getGridColumnSize(_formField_r1) === 2, ctx_r1.getGridColumnSize(_formField_r1) === 3, ctx_r1.getGridColumnSize(_formField_r1) === 4, ctx_r1.getGridColumnSize(_formField_r1) === 5, ctx_r1.getGridColumnSize(_formField_r1) === 6, ctx_r1.getGridColumnSize(_formField_r1) === 7, ctx_r1.getGridColumnSize(_formField_r1) === 8, ctx_r1.getGridColumnSize(_formField_r1) === 9, ctx_r1.getGridColumnSize(_formField_r1) === 10, ctx_r1.getGridColumnSize(_formField_r1) === 11, ctx_r1.getGridColumnSize(_formField_r1) === 12]));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 11, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("placeholder", i0.ɵɵpipeBind2(8, 15, "QUERY_TABLE.ENTER_FIELD", i0.ɵɵpureFunction1(33, _c2$1, i0.ɵɵpipeBind1(7, 13, _formField_r1.detail.placeholder || _formField_r1.detail.label))))("min", _formField_r1.detail.minLength)("max", _formField_r1.detail.maxLength)("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(10, 18, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_mat_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 20);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_ng_container_6_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r4 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r4.value.message, _validationMessage_r4.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_ng_container_6_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r4 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r4.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div");
    i0.ɵɵtemplate(2, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_mat_icon_2_Template, 2, 2, "mat-icon", 18);
    i0.ɵɵelementStart(3, "mat-checkbox", 19);
    i0.ɵɵtext(4);
    i0.ɵɵpipe(5, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(6, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_ng_container_6_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(7, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("boolean col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(5, 9, _formField_r1.detail.label), " ");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(7, 11, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_hint_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint", 24);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵnextContext();
    const text_r5 = i0.ɵɵreference(7);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate2("", text_r5.value.length || 0, "/", _formField_r1.detail.maxLength, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_12_Template(rf, ctx) { if (rf & 1) {
    const _r6 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-icon", 25);
    i0.ɵɵlistener("emojiClick", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_12_Template_mat_icon_emojiClick_0_listener($event) { i0.ɵɵrestoreView(_r6); const ctx_r1 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r1.addEmoji($event)); })("click", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_12_Template_mat_icon_click_0_listener() { i0.ɵɵrestoreView(_r6); i0.ɵɵnextContext(); const text_r5 = i0.ɵɵreference(7); const ctx_r1 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r1.selectEmoji(text_r5)); });
    i0.ɵɵtext(1, "emoji_emotions ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵproperty("virtualize", false);
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_ng_container_13_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r7 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r7.value.message, _validationMessage_r7.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_ng_container_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_ng_container_13_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r7 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r7.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 21, 0);
    i0.ɵɵpipe(9, "transloco");
    i0.ɵɵpipe(10, "transloco");
    i0.ɵɵtemplate(11, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_hint_11_Template, 2, 2, "mat-hint", 22)(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_mat_icon_12_Template, 2, 1, "mat-icon", 23)(13, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_ng_container_13_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(14, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const isFocused_r8 = i0.ɵɵreference(8);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("text mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 16, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("minlength", _formField_r1.detail.minLength)("maxlength", _formField_r1.detail.maxLength)("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("placeholder", i0.ɵɵpipeBind2(10, 20, "QUERY_TABLE.ENTER_FIELD", i0.ɵɵpureFunction1(25, _c2$1, i0.ɵɵpipeBind1(9, 18, _formField_r1.detail.placeholder || _formField_r1.detail.label))))("autocomplete", _formField_r1.detail.autocomplete || "on")("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance(5);
    i0.ɵɵproperty("ngIf", _formField_r1.detail.maxLength && isFocused_r8.hasFocus);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.detail.emojiSupport);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(14, 23, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_mat_option_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r9 = ctx.$implicit;
    i0.ɵɵproperty("value", option_r9.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", option_r9.name, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_ng_container_14_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r10 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r10.value.message, _validationMessage_r10.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_ng_container_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_ng_container_14_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r10 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r10.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 26, 1);
    i0.ɵɵpipe(8, "transloco");
    i0.ɵɵpipe(9, "transloco");
    i0.ɵɵelementStart(10, "mat-autocomplete", null, 2);
    i0.ɵɵtemplate(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_mat_option_12_Template, 2, 2, "mat-option", 27);
    i0.ɵɵpipe(13, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(14, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_ng_container_14_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(15, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const auto_r11 = i0.ɵɵreference(11);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("autocomplete mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 14, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("matAutocomplete", auto_r11)("placeholder", i0.ɵɵpipeBind2(9, 18, "QUERY_TABLE.ENTER_FIELD", i0.ɵɵpureFunction1(25, _c2$1, i0.ɵɵpipeBind1(8, 16, _formField_r1.detail.placeholder || _formField_r1.detail.label))))("search", _formField_r1.detail.autocompleteSearch)("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance(6);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(13, 21, _formField_r1.detail.autocompleteOptions$));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(15, 23, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_mat_option_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r13 = ctx.$implicit;
    i0.ɵɵproperty("value", option_r13.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", option_r13.name, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_ng_container_14_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r14 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r14.value.message, _validationMessage_r14.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_ng_container_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_ng_container_14_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r14 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r14.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_Template(rf, ctx) { if (rf & 1) {
    const _r12 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelementStart(6, "input", 29, 3);
    i0.ɵɵpipe(8, "transloco");
    i0.ɵɵpipe(9, "transloco");
    i0.ɵɵlistener("blur", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_Template_input_blur_6_listener($event) { i0.ɵɵrestoreView(_r12); const _formField_r1 = i0.ɵɵnextContext().$implicit; const ctx_r1 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r1.onVersionBlur($event, _formField_r1.control)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(10, "mat-autocomplete", null, 2);
    i0.ɵɵtemplate(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_mat_option_12_Template, 2, 2, "mat-option", 27);
    i0.ɵɵpipe(13, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(14, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_ng_container_14_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(15, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const auto_r15 = i0.ɵɵreference(11);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("version mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 14, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("matAutocomplete", auto_r15)("placeholder", i0.ɵɵpipeBind2(9, 18, "QUERY_TABLE.ENTER_FIELD", i0.ɵɵpureFunction1(25, _c2$1, i0.ɵɵpipeBind1(8, 16, _formField_r1.detail.label))))("readonly", _formField_r1.detail.readonly)("search", _formField_r1.detail.autocompleteSearch);
    i0.ɵɵadvance(6);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(13, 21, _formField_r1.detail.autocompleteOptions$));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(15, 23, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 32);
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_12_Template(rf, ctx) { if (rf & 1) {
    const _r16 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-icon", 25);
    i0.ɵɵlistener("emojiClick", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_12_Template_mat_icon_emojiClick_0_listener($event) { i0.ɵɵrestoreView(_r16); const ctx_r1 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r1.addEmoji($event)); })("click", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_12_Template_mat_icon_click_0_listener() { i0.ɵɵrestoreView(_r16); i0.ɵɵnextContext(); const multiline_r17 = i0.ɵɵreference(7); const ctx_r1 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r1.selectEmoji(multiline_r17)); });
    i0.ɵɵtext(1, "emoji_emotions ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵproperty("virtualize", false);
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_ng_container_13_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r18 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r18.value.message, _validationMessage_r18.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_ng_container_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_ng_container_13_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r18 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r18.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelementStart(6, "textarea", 30, 4);
    i0.ɵɵpipe(8, "transloco");
    i0.ɵɵpipe(9, "transloco");
    i0.ɵɵtext(10, "                            ");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(11, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_11_Template, 1, 0, "mat-icon", 31)(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_mat_icon_12_Template, 2, 1, "mat-icon", 23)(13, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_ng_container_13_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(14, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("multiline mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 14, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("placeholder", i0.ɵɵpipeBind2(9, 18, "QUERY_TABLE.ENTER_FIELD", i0.ɵɵpureFunction1(23, _c2$1, i0.ɵɵpipeBind1(8, 16, _formField_r1.detail.label))))("readonly", _formField_r1.detail.readonly)("rows", _formField_r1.detail.rows);
    i0.ɵɵadvance(5);
    i0.ɵɵproperty("ngIf", _formField_r1.detail.markdownSupport);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.detail.emojiSupport);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(14, 21, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_mat_option_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _option_r19 = ctx.$implicit;
    i0.ɵɵproperty("value", _option_r19.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", _option_r19.name, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_ng_container_10_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r20 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r20.value.message, _validationMessage_r20.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_ng_container_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_ng_container_10_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r20 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r20.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field", 33)(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelementStart(6, "mat-select", 34);
    i0.ɵɵpipe(7, "transloco");
    i0.ɵɵtemplate(8, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_mat_option_8_Template, 2, 2, "mat-option", 27);
    i0.ɵɵpipe(9, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(10, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_ng_container_10_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(11, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("select mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 10, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", _formField_r1.control)("placeholder", i0.ɵɵpipeBind1(7, 12, _formField_r1.detail.placeholder || "QUERY_TABLE.PLEASE_SELECT"))("compareWith", _formField_r1.detail.compareWith || ctx_r1.compareWidth);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(9, 14, _formField_r1.detail.options$) || _formField_r1.detail.options);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(11, 16, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_mat_option_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _option_r21 = ctx.$implicit;
    i0.ɵɵproperty("value", _option_r21.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", _option_r21.name, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_ng_container_10_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r22 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r22.value.message, _validationMessage_r22.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_ng_container_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_ng_container_10_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r22 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r22.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field", 33)(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelementStart(6, "mat-select", 35);
    i0.ɵɵpipe(7, "transloco");
    i0.ɵɵtemplate(8, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_mat_option_8_Template, 2, 2, "mat-option", 27);
    i0.ɵɵpipe(9, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(10, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_ng_container_10_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(11, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("multiselect mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 10, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", _formField_r1.control)("placeholder", i0.ɵɵpipeBind1(7, 12, "QUERY_TABLE.PLEASE_SELECT"))("compareWith", _formField_r1.detail.compareWith || ctx_r1.compareWidth);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(9, 14, _formField_r1.detail.options$) || _formField_r1.detail.options);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(11, 16, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_ng_container_12_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r24 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r24.value.message, _validationMessage_r24.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_ng_container_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_ng_container_12_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r24 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r24.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 36);
    i0.ɵɵelementStart(7, "button", 37);
    i0.ɵɵlistener("click", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_Template_button_click_7_listener() { i0.ɵɵrestoreView(_r23); const _formField_r1 = i0.ɵɵnextContext().$implicit; return i0.ɵɵresetView(_formField_r1.control.setValue(undefined)); });
    i0.ɵɵelement(8, "mat-icon", 38);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(9, "mat-datepicker-toggle", 39)(10, "mat-datepicker", null, 5);
    i0.ɵɵtemplate(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_ng_container_12_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(13, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const picker_r25 = i0.ɵɵreference(11);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("date mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 12, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("matDatepicker", picker_r25)("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("for", picker_r25);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(13, 14, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_ng_container_7_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r26 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r26.value.message, _validationMessage_r26.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_ng_container_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_ng_container_7_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r26 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r26.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 40);
    i0.ɵɵtemplate(7, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_ng_container_7_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(8, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("url mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 11, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("placeholder", "https://")("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(8, 13, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_mat_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_ng_container_7_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r27 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r27.value.message, _validationMessage_r27.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_ng_container_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_ng_container_7_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r27 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r27.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field")(2, "mat-label");
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "transloco");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_mat_icon_5_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelement(6, "input", 40);
    i0.ɵɵtemplate(7, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_ng_container_7_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(8, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("image mat-bold mat-no-subscript w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 11, _formField_r1.detail.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", _formField_r1.detail.key)("formControl", _formField_r1.control)("formControlName", _formField_r1.detail.key)("placeholder", "https://")("readonly", _formField_r1.detail.readonly);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(8, 13, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_mat_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 16);
    i0.ɵɵtext(1, "error ");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("matTooltip", ctx_r1.getErrorMessage(_formField_r1.control.errors))("matTooltipClass", "error-tooltip");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_For_7_Template(rf, ctx) { if (rf & 1) {
    const _r29 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-chip-row", 47);
    i0.ɵɵlistener("removed", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_For_7_Template_mat_chip_row_removed_0_listener() { const _option_r30 = i0.ɵɵrestoreView(_r29).$implicit; const _formField_r1 = i0.ɵɵnextContext(2).$implicit; return i0.ɵɵresetView(_formField_r1.detail.selectOptions.remove(_option_r30)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementStart(2, "button", 48)(3, "mat-icon");
    i0.ɵɵtext(4, "cancel");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const _option_r30 = ctx.$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", _option_r30.name, " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_ng_container_11_mat_error_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _validationMessage_r31 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(2, 1, _validationMessage_r31.value.message, _validationMessage_r31.value.params), " ");
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_ng_container_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_ng_container_11_mat_error_1_Template, 3, 4, "mat-error", 17);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _validationMessage_r31 = ctx.$implicit;
    const _formField_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError(_validationMessage_r31.key));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "mat-form-field", 41);
    i0.ɵɵlistener("click", function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_Template_mat_form_field_click_1_listener() { i0.ɵɵrestoreView(_r28); const ctx_r1 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r1.selectTags.emit()); });
    i0.ɵɵelement(2, "mat-label", 42);
    i0.ɵɵtemplate(3, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_mat_icon_3_Template, 2, 2, "mat-icon", 13);
    i0.ɵɵelementStart(4, "mat-chip-grid", 43, 6);
    i0.ɵɵrepeaterCreate(6, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_For_7_Template, 5, 1, "mat-chip-row", 44, i0.ɵɵrepeaterTrackByIndex);
    i0.ɵɵpipe(8, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelement(9, "input", 45)(10, "mat-icon", 46);
    i0.ɵɵtemplate(11, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_ng_container_11_Template, 2, 1, "ng-container", 15);
    i0.ɵɵpipe(12, "keyvalue");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const chipsGrid_r32 = i0.ɵɵreference(5);
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("tag w-full col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", _formField_r1.control.hasError("error"));
    i0.ɵɵadvance(3);
    i0.ɵɵrepeater(i0.ɵɵpipeBind1(8, 7, _formField_r1.detail.options$) || _formField_r1.detail.options);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("matChipInputFor", chipsGrid_r32);
    i0.ɵɵadvance();
    i0.ɵɵproperty("svgIcon", ctx_r1.addTagIcon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(12, 9, _formField_r1.detail.validationMessages));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div");
    i0.ɵɵelementContainer(2, 49);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("component col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1(" col-span-", ctx_r1.getGridColumnSize(_formField_r1), "");
    i0.ɵɵproperty("config", _formField_r1)("component", ctx_r1.getFormFieldComponent(_formField_r1));
} }
function QueryTableEntryFormComponent_form_0_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 10);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_1_Template, 11, 35, "ng-container", 11)(2, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_2_Template, 8, 13, "ng-container", 11)(3, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_3_Template, 15, 27, "ng-container", 11)(4, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_4_Template, 16, 27, "ng-container", 11)(5, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_5_Template, 16, 27, "ng-container", 11)(6, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_6_Template, 15, 25, "ng-container", 11)(7, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_7_Template, 12, 18, "ng-container", 11)(8, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_8_Template, 12, 18, "ng-container", 11)(9, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_9_Template, 14, 16, "ng-container", 11)(10, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_10_Template, 9, 15, "ng-container", 11)(11, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_11_Template, 9, 15, "ng-container", 11)(12, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_12_Template, 13, 11, "ng-container", 11)(13, QueryTableEntryFormComponent_form_0_ng_container_1_ng_container_13_Template, 3, 8, "ng-container", 11);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _formField_r1 = ctx.$implicit;
    i0.ɵɵproperty("ngSwitch", _formField_r1.detail.type);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "number");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "boolean");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "text");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "autocomplete");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "version");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "multiline");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "select");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "multiselect");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "date");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "url");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "image");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "tag");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "component");
} }
function QueryTableEntryFormComponent_form_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "form", 8);
    i0.ɵɵtemplate(1, QueryTableEntryFormComponent_form_0_ng_container_1_Template, 14, 14, "ng-container", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formGroup", ctx_r1.detailsForm)("ngClass", i0.ɵɵpureFunctionV(3, _c0$2, [ctx_r1.gridCols === 1, ctx_r1.gridCols === 2, ctx_r1.gridCols === 3, ctx_r1.gridCols === 4, ctx_r1.gridCols === 5, ctx_r1.gridCols === 6, ctx_r1.gridCols === 7, ctx_r1.gridCols === 8, ctx_r1.gridCols === 9, ctx_r1.gridCols === 10, ctx_r1.gridCols === 11, ctx_r1.gridCols === 12]));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r1.formFieldConfig);
} }
const ADD_TAG_ICON = new InjectionToken('ADD_TAG_ICON');
class QueryTableEntryFormComponent {
    _changeDetector;
    _dateAdapter;
    _emojiService;
    _translocoService;
    addTagIcon;
    entryDetails;
    formFieldComponents = new Map();
    gridCols = 1;
    gridColumnSizes;
    inputChanged = new EventEmitter();
    selectTags = new EventEmitter();
    formFieldConfig = new Array();
    detailsForm;
    _emojiTextInput;
    constructor(_changeDetector, _dateAdapter, _emojiService, _translocoService, addTagIcon) {
        this._changeDetector = _changeDetector;
        this._dateAdapter = _dateAdapter;
        this._emojiService = _emojiService;
        this._translocoService = _translocoService;
        this.addTagIcon = addTagIcon;
        _dateAdapter.setLocale(_translocoService.getActiveLang());
    }
    get isEnabled() {
        return this.detailsForm.enabled;
    }
    set isEnabled(value) {
        if (value) {
            this.detailsForm.enable();
        }
        else {
            this.detailsForm.disable();
        }
    }
    get isValid() {
        return !this.detailsForm.invalid;
    }
    ngOnInit() {
        this._translocoService.events$.subscribe((event) => {
            if (event.type === 'langChanged') {
                this._dateAdapter.setLocale(event.payload.langName);
            }
        });
        this._dateAdapter.setLocale(this._translocoService.getActiveLang());
    }
    init() {
        this.formFieldConfig.length = 0;
        const formControls = {};
        const values = Array.from(this.entryDetails.values()).sort((a, b) => (a.formIndex ?? 0) - (b.formIndex ?? 0));
        for (const _detail of values) {
            if (!_detail.canEdit) {
                continue;
            }
            const validators = [];
            if (_detail.required) {
                validators.push(Validators.required);
            }
            if (_detail.validators) {
                validators.push(..._detail.validators);
            }
            let formState = _detail.value;
            if (formState && _detail.emojiSupport) {
                formState = this._emojiService.colonsToNative(formState);
            }
            const formControl = new FormControl({ value: formState, disabled: this.shouldBeDisabled(_detail) }, validators);
            this.formFieldConfig.push({
                detail: _detail,
                control: formControl,
            });
            formControls[_detail.key] = formControl;
        }
        this.detailsForm = new FormGroup(formControls);
        this.detailsForm.valueChanges.subscribe(() => {
            this.inputChanged.emit(!this.detailsForm.invalid);
        });
        this._changeDetector.detectChanges();
        this.inputChanged.emit(!this.detailsForm.invalid);
    }
    afterViewInit() {
        for (const _detail of this.entryDetails) {
            if (_detail.emojiSupport) {
                const abstractControl = this.detailsForm.controls[_detail.key];
                if (abstractControl.nativeElement) {
                    this._emojiService.transformColonToNative(abstractControl, abstractControl.nativeElement).subscribe();
                }
            }
        }
    }
    ngOnChanges(changes) {
        if (changes['entryDetails']) {
            if (!this.entryDetails) {
                throw new Error('entryDetails is not defined');
            }
            this.init();
            this._changeDetector.detectChanges();
            this.afterViewInit();
        }
    }
    save() {
        const fileInfo = {};
        for (const _config of this.formFieldConfig) {
            if (!_config.detail.canEdit) {
                continue;
            }
            else if (!_config.detail.required && _config.control?.value == null || _config.control?.value === '') {
                continue;
            }
            let value = _config.control?.value;
            if (typeof _config.control?.value === 'string') {
                if (_config.detail.emojiSupport) {
                    value = this._emojiService.nativeEmojiToColons(_config.control.value);
                }
                value = value.trim();
            }
            else if (_config.detail.type === 'date' && !(value instanceof Date)) {
                value = value.toDate();
            }
            if (_config.detail.options?.some(option => option.objectValue && !value.some((_value) => _value === option.objectValue))) {
                value = Array.isArray(value)
                    ? value.map(option => _config.detail.options?.find(_option => _option.value === option)?.objectValue)
                    : _config.detail.options?.find(_option => _option.value === value)?.objectValue;
            }
            if (_config.detail.group == null) {
                fileInfo[_config.detail.key] = value;
            }
            else {
                if (!fileInfo[_config.detail.group]) {
                    fileInfo[_config.detail.group] = {};
                }
                fileInfo[_config.detail.group][_config.detail.key.split('.').pop()] = value;
            }
            _config.detail.value = value;
        }
        return fileInfo;
    }
    addEmoji($event) {
        this._emojiService.insert($event, this._emojiTextInput);
    }
    selectEmoji(textInput) {
        this._emojiTextInput = textInput;
    }
    onVersionBlur(event, ctrl) {
        let value = String(ctrl.value);
        if (ctrl && value && !ctrl.invalid && !ctrl.pristine) {
            value = value.trim();
            if (value !== '') {
                const version = Version.parse(value);
                if (version.major === 0 && version.minor === 0 && version.patch === 0) {
                    version.patch = 1;
                }
                ctrl.setValue(version + '', { emitEvent: false });
            }
        }
        else if (ctrl && value != null && value.trim() === '') {
            ctrl.setValue(null, { emitEvent: false });
        }
    }
    compareWidth(o1, o2) {
        return o1 === o2;
    }
    handleError(error) {
        if (!(error instanceof HttpErrorResponse)) {
            return false;
        }
        for (const _config of this.formFieldConfig) {
            if (!_config.detail.entityName) {
                continue;
            }
            if (error.error?.text?.indexOf(`${_config.detail.entityName}.${_config.detail.key}`) > -1
                || error.error?.text?.indexOf(`${_config.detail.entityName.toLowerCase()}_idx`) > -1
                || error.error?.text?.indexOf(`${_config.detail.entityName.toLowerCase()}_pkey`) > -1) {
                _config.control.setErrors({
                    'error': error.error?.text,
                }, {
                    emitEvent: true,
                });
                return true;
            }
        }
        return false;
    }
    getErrorMessage(errors) {
        return errors ? Object.values(errors).join('\n ') : '';
    }
    getFormFieldComponent(_formField) {
        return this.formFieldComponents.get(_formField.detail.key);
    }
    getGridColumnSize(_formField) {
        return this.gridColumnSizes?.[_formField.detail.key] || this.gridCols;
    }
    shouldBeDisabled(detail) {
        return detail.readonly;
        // set all readonly fields to disabled, submitting still works as expected but UX is clearer
        //&&
        //(detail.type === 'boolean' || detail.type === 'select' || detail.type === 'multiselect' || detail.type === 'tag');
    }
    /** @nocollapse */ static ɵfac = function QueryTableEntryFormComponent_Factory(t) { return new (t || QueryTableEntryFormComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i1.DateAdapter), i0.ɵɵdirectiveInject(i2.EmojiService), i0.ɵɵdirectiveInject(i3$1.TranslocoService), i0.ɵɵdirectiveInject(ADD_TAG_ICON, 8)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: QueryTableEntryFormComponent, selectors: [["yukawa-query-table-entry-form"]], inputs: { entryDetails: "entryDetails", formFieldComponents: "formFieldComponents", gridCols: "gridCols", gridColumnSizes: "gridColumnSizes" }, outputs: { inputChanged: "inputChanged", selectTags: "selectTags" }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: DateAdapter, useClass: MomentDateAdapter,
                    deps: [MAT_DATE_LOCALE, MAT_MOMENT_DATE_ADAPTER_OPTIONS],
                },
                {
                    provide: MAT_DATE_FORMATS, useValue: MOMENT_FORMATS,
                },
            ]), i0.ɵɵNgOnChangesFeature], decls: 1, vars: 1, consts: [["text", "", "isFocused", "hasFocus"], ["autocomplete", ""], ["auto", "matAutocomplete"], ["text", ""], ["multiline", ""], ["picker", ""], ["chipsGrid", ""], ["novalidate", "", "class", "mt-4 grid gap-4", 3, "formGroup", "ngClass", 4, "ngIf"], ["novalidate", "", 1, "mt-4", "grid", "gap-4", 3, "formGroup", "ngClass"], [3, "ngSwitch", 4, "ngFor", "ngForOf"], [3, "ngSwitch"], [4, "ngSwitchCase"], [1, "mat-bold", "mat-no-subscript", "w-full", 3, "ngClass"], ["matPrefix", "", "class", "text-warn", 3, "matTooltip", "matTooltipClass", 4, "ngIf"], ["matInput", "", "type", "number", 3, "name", "formControl", "formControlName", "placeholder", "min", "max", "readonly"], [4, "ngFor", "ngForOf"], ["matPrefix", "", 1, "text-warn", 3, "matTooltip", "matTooltipClass"], [4, "ngIf"], ["class", "text-warn mr-2", 3, "matTooltip", "matTooltipClass", 4, "ngIf"], [3, "name", "formControl", "formControlName"], [1, "text-warn", "mr-2", 3, "matTooltip", "matTooltipClass"], ["matInput", "", "type", "text", "focused", "", 3, "minlength", "maxlength", "name", "formControl", "formControlName", "placeholder", "autocomplete", "readonly"], ["matSuffix", "", "align", "end", 4, "ngIf"], ["matSuffix", "", "emojiTooltip", "", "class", "emoji-button", "aria-hidden", "false", "aria-label", "Emoji picker button", 3, "virtualize", "emojiClick", "click", 4, "ngIf"], ["matSuffix", "", "align", "end"], ["matSuffix", "", "emojiTooltip", "", "aria-hidden", "false", "aria-label", "Emoji picker button", 1, "emoji-button", 3, "emojiClick", "click", "virtualize"], ["matInput", "", "type", "text", "autocompleteOptions", "", 3, "name", "formControl", "formControlName", "matAutocomplete", "placeholder", "search", "readonly"], [3, "value", 4, "ngFor", "ngForOf"], [3, "value"], ["matInput", "", "type", "text", "autocompleteOptions", "", 3, "blur", "name", "formControl", "formControlName", "matAutocomplete", "placeholder", "readonly", "search"], ["matInput", "", "aria-multiline", "true", 3, "name", "formControl", "formControlName", "placeholder", "readonly", "rows"], ["matSuffix", "", "svgIcon", "markdown:mark", "class", "icon-size-8", "matTooltip", "Markdown Support", 4, "ngIf"], ["matSuffix", "", "svgIcon", "markdown:mark", "matTooltip", "Markdown Support", 1, "icon-size-8"], ["floatLabel", "always"], [3, "formControl", "placeholder", "compareWith"], ["multiple", "", 3, "formControl", "placeholder", "compareWith"], ["matInput", "", 3, "matDatepicker", "name", "formControl", "formControlName", "readonly"], ["mat-icon-button", "", "matSuffix", "", 1, "mr-1", 3, "click"], ["svgIcon", "close"], ["matSuffix", "", 3, "for"], ["matInput", "", "type", "url", 3, "name", "formControl", "formControlName", "placeholder", "readonly"], ["appearance", "fill", 3, "click"], ["transloco", "VIDEO.RECORD.DETAILS.TAGS"], ["formArrayName", "interests", "required", "", "label", "Tag Selection", 1, "mt-2", "mb-2"], [1, "bg-gray-200"], [3, "matChipInputFor"], ["matSuffix", "", 3, "svgIcon"], [1, "bg-gray-200", 3, "removed"], ["mat-icon-button", "", "matChipRemove", ""], ["libFormFieldComponent", "", 3, "config", "component"]], template: function QueryTableEntryFormComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, QueryTableEntryFormComponent_form_0_Template, 2, 16, "form", 7);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.detailsForm);
        } }, dependencies: [i6.NgClass, i6.NgForOf, i6.NgIf, i6.NgSwitch, i6.NgSwitchCase, i5.MatAutocomplete, i1.MatOption, i5.MatAutocompleteTrigger, i2$1.MatIconButton, i3.MatCheckbox, i8.MatChipGrid, i8.MatChipInput, i8.MatChipRemove, i8.MatChipRow, i9.MatDatepicker, i9.MatDatepickerInput, i9.MatDatepickerToggle, i10.MatFormField, i10.MatLabel, i10.MatHint, i10.MatError, i10.MatPrefix, i10.MatSuffix, i3$2.MatIcon, i12.MatInput, i13.MatSelect, i4.MatTooltip, i2.NativeElementInjectorDirective, i15.ɵNgNoValidate, i15.DefaultValueAccessor, i15.NumberValueAccessor, i15.NgControlStatus, i15.NgControlStatusGroup, i15.MinLengthValidator, i15.MaxLengthValidator, i15.MinValidator, i15.MaxValidator, i15.FormControlDirective, i15.FormGroupDirective, i15.FormControlName, i15.FormArrayName, i2.AutocompleteOptionsDirective, i2.EmojiTooltipDirective, i2.FocusedDirective, i3$1.TranslocoDirective, FormFieldComponentDirective, i6.AsyncPipe, i6.KeyValuePipe, i3$1.TranslocoPipe], styles: ["[_nghost-%COMP%]     .mat-tooltip.error-tooltip{max-width:50vw;max-height:50vh}[_nghost-%COMP%]     mat-form-field.tag .mat-form-field-wrapper{margin-bottom:0}.emoji-button[_ngcontent-%COMP%]{cursor:pointer}"] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableEntryFormComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table-entry-form', providers: [
                    {
                        provide: DateAdapter, useClass: MomentDateAdapter,
                        deps: [MAT_DATE_LOCALE, MAT_MOMENT_DATE_ADAPTER_OPTIONS],
                    },
                    {
                        provide: MAT_DATE_FORMATS, useValue: MOMENT_FORMATS,
                    },
                ], template: "<form novalidate [formGroup]=\"detailsForm\" *ngIf=\"detailsForm\" class=\"mt-4 grid gap-4\" [ngClass]=\"{\n    'grid-cols-1': gridCols === 1,\n    'grid-cols-2': gridCols === 2,\n    'grid-cols-3': gridCols === 3,\n    'grid-cols-4': gridCols === 4,\n    'grid-cols-5': gridCols === 5,\n    'grid-cols-6': gridCols === 6,\n    'grid-cols-7': gridCols === 7,\n    'grid-cols-8': gridCols === 8,\n    'grid-cols-9': gridCols === 9,\n    'grid-cols-10': gridCols === 10,\n    'grid-cols-11': gridCols === 11,\n    'grid-cols-12': gridCols === 12\n}\">\n    <ng-container *ngFor=\"let _formField of formFieldConfig;\" [ngSwitch]=\"_formField.detail.type\">\n\n        <ng-container *ngSwitchCase=\"'number'\">\n            <mat-form-field class=\"mat-bold mat-no-subscript w-full\" [ngClass]=\"{\n                'col-span-1': getGridColumnSize(_formField) === 1,\n                'col-span-2': getGridColumnSize(_formField) === 2,\n                'col-span-3': getGridColumnSize(_formField) === 3,\n                'col-span-4': getGridColumnSize(_formField) === 4,\n                'col-span-5': getGridColumnSize(_formField) === 5,\n                'col-span-6': getGridColumnSize(_formField) === 6,\n                'col-span-7': getGridColumnSize(_formField) === 7,\n                'col-span-8': getGridColumnSize(_formField) === 8,\n                'col-span-9': getGridColumnSize(_formField) === 9,\n                'col-span-10': getGridColumnSize(_formField) === 10,\n                'col-span-11': getGridColumnSize(_formField) === 11,\n                'col-span-12': getGridColumnSize(_formField) === 12\n            }\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"number\" [name]=\"_formField.detail.key\" [formControl]=\"_formField.control\"\n                    [formControlName]=\"_formField.detail.key\" [placeholder]=\"('QUERY_TABLE.ENTER_FIELD' | transloco:{\n                               value: ((_formField.detail.placeholder || _formField.detail.label) | transloco)\n                           })\" [min]=\"_formField.detail.minLength\" [max]=\"_formField.detail.maxLength\"\n                    [readonly]=\"_formField.detail.readonly\">\n\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'boolean'\">\n            <div class=\"boolean col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-icon *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn mr-2\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <mat-checkbox [name]=\"_formField.detail.key\" [formControl]=\"_formField.control\"\n                    [formControlName]=\"_formField.detail.key\">\n                    {{ _formField.detail.label | transloco }}\n                </mat-checkbox>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </div>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'text'\">\n            <mat-form-field class=\"text mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"text\" #text [minlength]=\"_formField.detail.minLength\"\n                    [maxlength]=\"_formField.detail.maxLength\" [name]=\"_formField.detail.key\"\n                    [formControl]=\"_formField.control\" [formControlName]=\"_formField.detail.key\" [placeholder]=\"('QUERY_TABLE.ENTER_FIELD' | transloco:{\n                                       value:( (_formField.detail.placeholder || _formField.detail.label) | transloco)\n                                   })\" [autocomplete]=\"_formField.detail.autocomplete || 'on'\"\n                    [readonly]=\"_formField.detail.readonly\" focused #isFocused=\"hasFocus\">\n                <mat-hint *ngIf=\"_formField.detail.maxLength && isFocused.hasFocus\" matSuffix align=\"end\">{{\n                    text.value.length || 0 }}/{{ _formField.detail.maxLength }}\n                </mat-hint>\n                <mat-icon matSuffix emojiTooltip [virtualize]=\"false\" (emojiClick)=\"addEmoji($event)\"\n                    *ngIf=\"_formField.detail.emojiSupport\" class=\"emoji-button\" (click)=\"selectEmoji(text)\"\n                    aria-hidden=\"false\" aria-label=\"Emoji picker button\">emoji_emotions\n                </mat-icon>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'autocomplete'\">\n            <mat-form-field\n                class=\"autocomplete mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"text\" #autocomplete [name]=\"_formField.detail.key\"\n                    [formControl]=\"_formField.control\" [formControlName]=\"_formField.detail.key\"\n                    [matAutocomplete]=\"auto\" [placeholder]=\"('QUERY_TABLE.ENTER_FIELD' | transloco:{\n                                       value:( (_formField.detail.placeholder || _formField.detail.label) | transloco)\n                                   })\" autocompleteOptions [search]=\"_formField.detail.autocompleteSearch\"\n                    [readonly]=\"_formField.detail.readonly\">\n                <mat-autocomplete #auto=\"matAutocomplete\">\n                    <mat-option *ngFor=\"let option of _formField.detail.autocompleteOptions$ | async\"\n                        [value]=\"option.value\">\n                        {{ option.name }}\n                    </mat-option>\n                </mat-autocomplete>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'version'\">\n            <mat-form-field\n                class=\"version mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"text\" #text [name]=\"_formField.detail.key\" [formControl]=\"_formField.control\"\n                    [formControlName]=\"_formField.detail.key\" [matAutocomplete]=\"auto\" [placeholder]=\"('QUERY_TABLE.ENTER_FIELD' | transloco:{\n                                       value:( _formField.detail.label | transloco)\n                                   })\" [readonly]=\"_formField.detail.readonly\"\n                    (blur)=\"onVersionBlur($event, _formField.control)\" autocompleteOptions\n                    [search]=\"_formField.detail.autocompleteSearch\">\n                <mat-autocomplete #auto=\"matAutocomplete\">\n                    <mat-option *ngFor=\"let option of _formField.detail.autocompleteOptions$ | async\"\n                        [value]=\"option.value\">\n                        {{ option.name }}\n                    </mat-option>\n                </mat-autocomplete>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'multiline'\">\n            <mat-form-field\n                class=\"multiline mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <textarea matInput #multiline aria-multiline=\"true\" [name]=\"_formField.detail.key\"\n                    [formControl]=_formField.control [formControlName]=\"_formField.detail.key\" [placeholder]=\"('QUERY_TABLE.ENTER_FIELD' | transloco:{\n                                          value:( _formField.detail.label | transloco)\n                                      })\" [readonly]=\"_formField.detail.readonly\" [rows]=\"_formField.detail.rows\">\n                            </textarea>\n                <mat-icon *ngIf=\"_formField.detail.markdownSupport\" matSuffix svgIcon=\"markdown:mark\"\n                    class=\"icon-size-8\" matTooltip=\"Markdown Support\"></mat-icon>\n                <mat-icon matSuffix emojiTooltip [virtualize]=\"false\" (emojiClick)=\"addEmoji($event)\"\n                    *ngIf=\"_formField.detail.emojiSupport\" class=\"emoji-button\" (click)=\"selectEmoji(multiline)\"\n                    aria-hidden=\"false\" aria-label=\"Emoji picker button\">emoji_emotions\n                </mat-icon>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'select'\">\n            <mat-form-field class=\"select mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\"\n                floatLabel=\"always\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <mat-select [formControl]=\"_formField.control\"\n                    [placeholder]=\"(_formField.detail.placeholder || 'QUERY_TABLE.PLEASE_SELECT' | transloco)\"\n                    [compareWith]=\"_formField.detail.compareWith || compareWidth\">\n                    <mat-option *ngFor=\"let _option of ((_formField.detail.options$ | async)\n                                           || _formField.detail.options);\" [value]=\"_option.value\">{{ _option.name }}\n                    </mat-option>\n                </mat-select>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'multiselect'\">\n            <mat-form-field\n                class=\"multiselect mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\"\n                floatLabel=\"always\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <mat-select multiple [formControl]=\"_formField.control\"\n                    [placeholder]=\"('QUERY_TABLE.PLEASE_SELECT' | transloco)\"\n                    [compareWith]=\"_formField.detail.compareWith || compareWidth\">\n                    <mat-option *ngFor=\"let _option of ((_formField.detail.options$ | async)\n                                           || _formField.detail.options);\" [value]=\"_option.value\">{{ _option.name }}\n                    </mat-option>\n                </mat-select>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'date'\">\n            <mat-form-field class=\"date mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput [matDatepicker]=\"picker\" [name]=\"_formField.detail.key\"\n                    [formControl]=\"_formField.control\" [formControlName]=\"_formField.detail.key\"\n                    [readonly]=\"_formField.detail.readonly\">\n                <button mat-icon-button matSuffix class=\"mr-1\" (click)=\"_formField.control.setValue(undefined)\">\n                    <mat-icon svgIcon=\"close\"></mat-icon>\n                </button>\n                <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\n                <mat-datepicker #picker></mat-datepicker>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'url'\">\n            <mat-form-field class=\"url mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"url\" [name]=\"_formField.detail.key\" [formControl]=\"_formField.control\"\n                    [formControlName]=\"_formField.detail.key\" [placeholder]=\"'https://'\"\n                    [readonly]=\"_formField.detail.readonly\">\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'image'\">\n            <mat-form-field class=\"image mat-bold mat-no-subscript w-full col-span-{{ getGridColumnSize(_formField) }}\">\n                <mat-label>{{ _formField.detail.label | transloco }}</mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n                <input matInput type=\"url\" [name]=\"_formField.detail.key\" [formControl]=_formField.control\n                    [formControlName]=\"_formField.detail.key\" [placeholder]=\"'https://'\"\n                    [readonly]=\"_formField.detail.readonly\">\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'tag'\">\n            <mat-form-field class=\"tag w-full col-span-{{ getGridColumnSize(_formField) }}\" appearance=\"fill\"\n                (click)=\"selectTags.emit()\">\n                <mat-label transloco=\"VIDEO.RECORD.DETAILS.TAGS\"></mat-label>\n                <mat-icon matPrefix *ngIf=\"_formField.control.hasError('error')\" class=\"text-warn\"\n                    [matTooltip]=\"getErrorMessage(_formField.control.errors)\" [matTooltipClass]=\"'error-tooltip'\">error\n                </mat-icon>\n\n                <mat-chip-grid formArrayName=\"interests\" required label=\"Tag Selection\" class=\"mt-2 mb-2\" #chipsGrid>\n                    @for( _option of ((_formField.detail.options$ | async) || _formField.detail.options); track $index)\n                    {\n                    <mat-chip-row class=\"bg-gray-200\" (removed)=\"_formField.detail.selectOptions.remove(_option)\">\n                        {{ _option.name }}\n\n                        <button mat-icon-button matChipRemove>\n                            <mat-icon>cancel</mat-icon>\n                        </button>\n                    </mat-chip-row>\n                    }\n                </mat-chip-grid>\n                <input [matChipInputFor]=\"chipsGrid\">\n                <mat-icon matSuffix [svgIcon]=\"addTagIcon\"></mat-icon>\n                <ng-container *ngFor=\"let _validationMessage of _formField.detail.validationMessages | keyvalue\">\n                    <mat-error *ngIf=\"_formField.control.hasError(_validationMessage.key)\">\n                        {{ _validationMessage.value.message | transloco: _validationMessage.value.params }}\n                    </mat-error>\n                </ng-container>\n            </mat-form-field>\n\n        </ng-container>\n\n        <ng-container *ngSwitchCase=\"'component'\">\n\n            <div class=\"component col-span-{{ getGridColumnSize(_formField) }}\">\n                <ng-container class=\" col-span-{{ getGridColumnSize(_formField) }}\" libFormFieldComponent\n                    [config]=\"_formField\" [component]=\"getFormFieldComponent(_formField)\"></ng-container>\n            </div>\n\n        </ng-container>\n\n    </ng-container>\n</form>", styles: [":host ::ng-deep .mat-tooltip.error-tooltip{max-width:50vw;max-height:50vh}:host ::ng-deep mat-form-field.tag .mat-form-field-wrapper{margin-bottom:0}.emoji-button{cursor:pointer}\n"] }]
    }], () => [{ type: i0.ChangeDetectorRef }, { type: i1.DateAdapter }, { type: i2.EmojiService }, { type: i3$1.TranslocoService }, { type: undefined, decorators: [{
                type: Optional
            }, {
                type: Inject,
                args: [ADD_TAG_ICON]
            }] }], { entryDetails: [{
            type: Input
        }], formFieldComponents: [{
            type: Input
        }], gridCols: [{
            type: Input
        }], gridColumnSizes: [{
            type: Input
        }], inputChanged: [{
            type: Output
        }], selectTags: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(QueryTableEntryFormComponent, { className: "QueryTableEntryFormComponent", filePath: "entry/form/form.component.ts", lineNumber: 48 }); })();

function UploadProgressComponent_mat_spinner_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 4);
} if (rf & 2) {
    i0.ɵɵproperty("mode", "indeterminate");
} }
class UploadProgressComponent {
    _changeDetectorRef;
    cancel = new EventEmitter();
    huastClass = 'flex flex-row gap-x-2 items-center overflow-visible';
    _message = 'Uploading...';
    _progress = 0;
    constructor(_changeDetectorRef) {
        this._changeDetectorRef = _changeDetectorRef;
    }
    get message() {
        return this._message;
    }
    set message(value) {
        this._message = value;
        this._changeDetectorRef.markForCheck();
    }
    get progress() {
        return this._progress;
    }
    set progress(value) {
        this._progress = value;
        this._changeDetectorRef.markForCheck();
    }
    /** @nocollapse */ static ɵfac = function UploadProgressComponent_Factory(t) { return new (t || UploadProgressComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: UploadProgressComponent, selectors: [["yukawa-upload-progress"]], hostVars: 2, hostBindings: function UploadProgressComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassMap(ctx.huastClass);
        } }, inputs: { progress: "progress" }, outputs: { cancel: "cancel" }, decls: 5, vars: 4, consts: [[1, "whitespace-pre-line"], ["class", "min-w-6 min-h-6", "diameter", "24", 3, "mode", 4, "ngIf"], ["mat-flat-button", "", "color", "accent", "transloco", "BUTTON.CANCEL", 3, "click"], [1, "absolute", "left-0", "right-0", "bottom-0", 3, "mode", "value"], ["diameter", "24", 1, "min-w-6", "min-h-6", 3, "mode"]], template: function UploadProgressComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtext(1);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(2, UploadProgressComponent_mat_spinner_2_Template, 1, 1, "mat-spinner", 1);
            i0.ɵɵelementStart(3, "button", 2);
            i0.ɵɵlistener("click", function UploadProgressComponent_Template_button_click_3_listener() { return ctx.cancel.emit(); });
            i0.ɵɵelementEnd();
            i0.ɵɵelement(4, "mat-progress-bar", 3);
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate(ctx.message);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.progress === 0);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("mode", "buffer")("value", ctx.progress);
        } }, dependencies: [i6.NgIf, i2$1.MatButton, i3$3.MatProgressBar, i4$1.MatProgressSpinner, i3$1.TranslocoDirective], encapsulation: 2, changeDetection: 0 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(UploadProgressComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-upload-progress', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"whitespace-pre-line\">{{ message }}</div>\n<mat-spinner\n    class=\"min-w-6 min-h-6\"\n    *ngIf=\"progress === 0\"\n    [mode]=\"'indeterminate'\"\n    diameter=\"24\"></mat-spinner>\n<button mat-flat-button color=\"accent\" (click)=\"cancel.emit()\" transloco=\"BUTTON.CANCEL\"></button>\n\n<mat-progress-bar\n    class=\"absolute left-0 right-0 bottom-0\"\n    [mode]=\"'buffer'\"\n    [value]=\"progress\">\n</mat-progress-bar>\n" }]
    }], () => [{ type: i0.ChangeDetectorRef }], { cancel: [{
            type: Output
        }], huastClass: [{
            type: HostBinding,
            args: ['class']
        }], progress: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(UploadProgressComponent, { className: "UploadProgressComponent", filePath: "entry/form/upload-progress/upload-progress.component.ts", lineNumber: 17 }); })();

class QueryTableEntryFormModule {
    static forRoot(deleteIcon = 'delete', cancelIcon = 'cancel', saveIcon = 'save') {
        return {
            ngModule: QueryTableEntryFormModule,
            providers: [
                {
                    provide: DELETE_ICON,
                    useValue: deleteIcon,
                },
                {
                    provide: CANCEL_ICON,
                    useValue: cancelIcon,
                },
                {
                    provide: SAVE_ICON,
                    useValue: saveIcon,
                },
            ],
        };
    }
    /** @nocollapse */ static ɵfac = function QueryTableEntryFormModule_Factory(t) { return new (t || QueryTableEntryFormModule)(); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: QueryTableEntryFormModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [CommonModule,
            MatAutocompleteModule,
            MatButtonModule,
            MatCheckboxModule,
            MatChipsModule,
            MatDatepickerModule,
            MatFormFieldModule,
            MatIconModule,
            MatInputModule,
            MatNativeDateModule,
            MatProgressBarModule,
            MatProgressSpinnerModule,
            MatSelectModule,
            MatTooltipModule,
            NativeElementInjectorModule,
            ReactiveFormsModule,
            SharedModule,
            TranslocoModule] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableEntryFormModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    FormActionButtonsComponent,
                    FormButtonsComponent,
                    FormFieldComponentDirective,
                    QueryTableEntryFormComponent,
                    UploadProgressComponent,
                ],
                imports: [
                    CommonModule,
                    MatAutocompleteModule,
                    MatButtonModule,
                    MatCheckboxModule,
                    MatChipsModule,
                    MatDatepickerModule,
                    MatFormFieldModule,
                    MatIconModule,
                    MatInputModule,
                    MatNativeDateModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatSelectModule,
                    MatTooltipModule,
                    NativeElementInjectorModule,
                    ReactiveFormsModule,
                    SharedModule,
                    TranslocoModule,
                ],
                exports: [
                    FormActionButtonsComponent,
                    FormButtonsComponent,
                    FormFieldComponentDirective,
                    QueryTableEntryFormComponent,
                    UploadProgressComponent,
                ],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(QueryTableEntryFormModule, { declarations: [FormActionButtonsComponent,
        FormButtonsComponent,
        FormFieldComponentDirective,
        QueryTableEntryFormComponent,
        UploadProgressComponent], imports: [CommonModule,
        MatAutocompleteModule,
        MatButtonModule,
        MatCheckboxModule,
        MatChipsModule,
        MatDatepickerModule,
        MatFormFieldModule,
        MatIconModule,
        MatInputModule,
        MatNativeDateModule,
        MatProgressBarModule,
        MatProgressSpinnerModule,
        MatSelectModule,
        MatTooltipModule,
        NativeElementInjectorModule,
        ReactiveFormsModule,
        SharedModule,
        TranslocoModule], exports: [FormActionButtonsComponent,
        FormButtonsComponent,
        FormFieldComponentDirective,
        QueryTableEntryFormComponent,
        UploadProgressComponent] }); })();

const DEFAULT_VALIDATION_MESSAGES = {
    error: { message: 'QUERY_TABLE.SERVER_ERROR' },
    required: { message: 'QUERY_TABLE.REQUIRED' },
    minlength: { message: 'QUERY_TABLE.MIN_LENGTH' },
};

// noinspection JSUnusedGlobalSymbols
class QueryTableEntry {
    entity;
    name;
    details = new Map();
    id;
    #selected = false;
    constructor(entity, id, name = entity['info']?.['name'] || '') {
        this.entity = entity;
        this.name = name;
        // If the id is not set, try to get it from the entity.class name
        if (!id || id === '0') {
            const camelCaseTypeName = (entityType) => {
                const fieldName = entityType.name.substring(0, 1).toLowerCase() +
                    entityType.name.substring(1) + 'Id';
                return entityType.prototype.hasOwnProperty(fieldName)
                    ? entity[fieldName]
                    : '';
            };
            this.id = entity instanceof Entity
                ? camelCaseTypeName(entity.constructor)
                : camelCaseTypeName(this.constructor);
        }
        else if (typeof id !== 'string') {
            this.id = String(id);
        }
        else {
            this.id = id;
        }
    }
    get selected() {
        return this.#selected;
    }
    set selected(value) {
        this.#selected = value;
    }
    get rowClass() {
        return '';
    }
    ;
    get labelTranslationPrefix() {
        return '';
    }
    init() {
        const keys = new Set([
            ...Object.keys(this.viewConfig),
            ...Object.keys(this.entity instanceof Entity ? this.entity.toJson() : this.entity),
        ]);
        for (const _key of keys) {
            const defaultDetail = {
                canEdit: false,
                required: false,
                emojiSupport: false,
                markdownSupport: false,
                showInDetails: true,
                showInTable: true,
                sortable: true,
                tableGroup: false,
                groupDirection: 'vertical',
                readonly: false,
            };
            const details = new Map();
            this.mapDetails(details, this.entity, _key, defaultDetail);
            for (const _detail of details.values()) {
                _detail.validationMessages = {
                    ...DEFAULT_VALIDATION_MESSAGES,
                    ..._detail.validationMessages,
                    minlength: {
                        message: _detail.validationMessages?.minlength?.message ||
                            DEFAULT_VALIDATION_MESSAGES.minlength.message,
                        params: { minLength: _detail.minLength },
                    },
                };
                // Add an error validator to display server errors.
                _detail.validators = [
                    (control) => control.errors?.['error'] ? { error: control.errors?.['error'] } : null,
                    ..._detail.validators || [],
                ];
            }
            if (!this.entity.hasOwnProperty(_key)) {
                continue;
            }
            for (const _detailKey of details.keys()) {
                const _detail = details.get(_detailKey);
                if (_detail.value || _detail.required || _detail.canEdit) {
                    this.details.set(_detailKey, _detail);
                }
            }
        }
    }
    formatKey(key) {
        return this.labelTranslationPrefix
            ? this.labelTranslationPrefix.toUpperCase() + key.toUpperCase()
            : key[0].toUpperCase() + key.substring(1);
    }
    mapDetails(details, item, key, detail) {
        let type = 'text';
        let isValue = false;
        let value;
        switch (typeof item) {
            case 'bigint':
            case 'boolean':
            case 'number':
            case 'string':
                isValue = true;
                value = item;
                break;
            case 'object':
                if ((item instanceof Date)) {
                    isValue = true;
                    value = item;
                }
                break;
        }
        if (!isValue) {
            value = item?.[key];
        }
        switch (typeof value) {
            case 'bigint':
            case 'number':
                type = 'number';
                break;
            case 'boolean':
                type = 'boolean';
                break;
            case 'string':
                if (value.startsWith('http')) {
                    type = 'url';
                }
                else if (value.length > 0 && detail.type == null && !isNaN(+value)) {
                    type = 'number';
                    value = +value;
                }
                else {
                    type = 'text';
                }
                break;
            case 'object':
                if (value instanceof Date) {
                    type = 'date';
                }
                else if (Array.isArray(value)) {
                    this.mapDetails(details, value, key, detail);
                    return;
                }
                else {
                    for (const _key in value) {
                        if (!value.hasOwnProperty(_key)) {
                            continue;
                        }
                        this.mapDetails(details, value[_key], _key, {
                            ...detail,
                            group: key,
                        });
                    }
                    return;
                }
        }
        let level = key;
        if (detail.group) {
            level = detail.group + '.' + key;
        }
        details.set(level, {
            ...detail,
            key: level,
            type,
            label: this.formatKey(level),
            value,
            options: [],
        });
    }
}

class QueryTableDatasource {
    _entry;
    _defaultFilter;
    _configService;
    entries = new Array();
    entriesLoaded = new EventEmitter();
    entrySelected = new EventEmitter();
    entryUpdated = new EventEmitter();
    entryDeleted = new EventEmitter();
    query;
    _queryResult;
    #loadingSubject = new BehaviorSubject(false);
    constructor(_entry, _defaultFilter = {}, _configService = AppInjector.get(ConfigService)) {
        this._entry = _entry;
        this._defaultFilter = _defaultFilter;
        this._configService = _configService;
        this._defaultFilter = Object.seal(this._defaultFilter);
    }
    get defaultFilter() {
        return cloneDeep(this._defaultFilter);
    }
    get loading() {
        return this.#loadingSubject.value;
    }
    get loading$() {
        return this.#loadingSubject;
    }
    get queryResult() {
        return this._queryResult;
    }
    newEntry(item, ...entityArgs) {
        const entry = new this._entry(item, ...entityArgs);
        entry.init();
        return entry;
    }
    async init(filter) {
        let entries = null;
        let failed = false;
        this.#loadingSubject.next(true);
        try {
            entries = await this.read({
                ...this.defaultFilter,
                ...filter,
            });
        }
        catch (error) {
            console.error(error);
            failed = true;
            throw error;
        }
        finally {
            this.#loadingSubject.next(failed ? null : false);
        }
        if (!entries) {
            if (this.query.messages.some((message) => {
                const msg = message.type.toLowerCase();
                return msg.includes('error') || msg.includes('exception');
            })) {
                let message = JSON.safeStringify(this.query.messages);
                // remove json braces, brackets and quotes from message
                message = message.replace(/[\[\]{}"]/g, '');
                throw new QueryTableDatasourceException(`Error while loading data.\n${message}`, { messages: this._queryResult.messages });
            }
        }
        else {
            if (!entries.some(file => file instanceof QueryTableEntry)) {
                this.entries.length = 0;
                this.entries.push(...entries.map(item => this.newEntry(item)));
            }
            if (this.query) {
                this._queryResult = {
                    ...this.query,
                    items: this.entries,
                };
            }
            this.entriesLoaded.emit(this.entries);
        }
        return this._queryResult;
    }
    // noinspection JSUnusedGlobalSymbols
    selectEntry(id) {
        this.entries.forEach((entry) => {
            entry.selected = entry.id === id;
            if (entry.selected) {
                this.entrySelected.emit(entry);
            }
        });
        if (!this.entries.some(entry => entry.selected)) {
            this.entrySelected.emit();
        }
    }
}
class QueryTableDatasourceException extends Exception {
    constructor(message, messageTemplateValues, innerException) {
        super(message, messageTemplateValues, innerException);
        QueryTableDatasourceException.setPrototype(this);
    }
}

class QueryTableStore extends QueryTableSource {
    paginator;
    sort;
    tableEntry;
    datasource;
    headers = new Array();
    displayedColumns = new Array();
    detailGroups = new Map();
    detailValues = new Map();
    loaded = new EventEmitter();
    entrySelected = new EventEmitter(true);
    actionColumns = new Array();
    _selectedEntry;
    #unsubscribeAll = new Subject();
    constructor(paginator, sort, tableFilter, tableEntry, datasource) {
        super(paginator, sort, tableFilter);
        this.paginator = paginator;
        this.sort = sort;
        this.tableEntry = tableEntry;
        this.datasource = datasource;
        this.showSpinner = true;
        this.autoLoad = false;
        datasource.entryUpdated.pipe(takeUntil(this.#unsubscribeAll)).subscribe(this.entryUpdated.bind(this));
        datasource.entryDeleted.pipe(takeUntil(this.#unsubscribeAll)).subscribe(this.entryUpdated.bind(this));
    }
    get entries() {
        return this.datasource.entries;
    }
    // eslint-disable-next-line @typescript-eslint/member-ordering
    get selectedEntry() {
        return this._selectedEntry;
    }
    set selectedEntry(value) {
        this._selectedEntry = value;
        this.entries.forEach(file => file.selected = file === value);
        this.entrySelected.emit(value);
    }
    load() {
        this.autoLoad = true;
        this.reload();
    }
    reload() {
        if (!this.autoLoad) {
            return;
        }
        super.reload();
    }
    /**
     * Retrieves and caches table entry detail values.
     *
     * @param row
     * @param detail
     * @param transform
     * @return
     */
    getRowDetail(row, detail, transform) {
        const rowDetail = row.details.get(detail.key);
        let rowMap;
        if (!this.detailValues.has(row.id)) {
            rowMap = new Map();
            this.detailValues.set(row.id, rowMap);
        }
        else {
            rowMap = this.detailValues.get(row.id);
        }
        if (rowMap.has(detail.key)) {
            return rowMap.get(detail.key);
        }
        let value = rowDetail?.value || '';
        value = transform ? transform(value) : value;
        rowMap.set(detail.key, value);
        return value;
    }
    dispose() {
        this.#unsubscribeAll.next(null);
        this.#unsubscribeAll.complete();
    }
    onLoaded(rows) {
        super.onLoaded(rows);
        if (this.selectedEntry) {
            const entry = rows.find(row => row.id === this.selectedEntry?.id);
            if (entry) {
                entry.selected = true;
                this.selectedEntry = entry;
            }
            else {
                this.selectedEntry = null;
            }
        }
        this.init();
    }
    queryTable() {
        const filter = this.findFilter();
        if (this.sort.direction === '') {
            delete filter['orderBy'];
            delete filter['orderDir'];
            this.sort.active = '';
        }
        this.applyFilter(filter);
        if (filter.keyword && !filter.keyword.startsWith('*')) {
            filter.keyword = `*${filter.keyword}*`;
        }
        return this.queryEntries(filter).pipe(tap((response) => {
            this.loaded.emit(response.items);
        }));
    }
    applyFilter(filter) {
        super.applyFilter(filter);
        const findOrderByColumn = () => this.headers
            .find(header => filter.orderBy && header.key.startsWith(filter.orderBy));
        let orderByColumn = findOrderByColumn();
        if (!orderByColumn && this.tableEntry) {
            let entries;
            if (this.entries.length > 0) {
                entries = this.entries;
            }
            else {
                const entry = new this.tableEntry();
                entry.init();
                entries = [entry];
            }
            this.init(entries);
            orderByColumn = findOrderByColumn();
        }
        if (orderByColumn) {
            if (orderByColumn.group) {
                const groupByField = this.detailGroups.get(orderByColumn.group)?.reduce((previous, next) => {
                    if (previous) {
                        return previous;
                    }
                    return next.details
                        .find(_detail => _detail.groupByField === true);
                }, null);
                const key = groupByField?.key || filter.orderBy?.split('.').pop();
                if (key?.startsWith(orderByColumn.group + '.')) {
                    filter.orderBy = groupByField && typeof groupByField.groupByField === 'string'
                        ? groupByField.groupByField
                        : key;
                }
                else {
                    filter.orderBy = `${orderByColumn.group}.${groupByField?.key || filter.orderBy?.split('.').pop()}`;
                }
            }
            else if (typeof orderByColumn.groupByField === 'string') {
                filter.orderBy = orderByColumn.groupByField;
            }
        }
    }
    entryUpdated(entry) {
        this.detailValues.delete(entry.id);
        this.reload();
    }
    init(entries = this.entries) {
        entries = [...entries].sort((a, b) => {
            const shownDetails = (details) => Array.from(details.values())
                .reduce((current, next) => {
                if (next.showInTable) {
                    current++;
                }
                return current;
            }, 0);
            if (a.details.size > b.details.size && shownDetails(a.details) > shownDetails(b.details)) {
                return -1;
            }
            if (a.details.size < b.details.size && shownDetails(a.details) < shownDetails(b.details)) {
                return +1;
            }
            return 0;
        });
        const entryDetails = entries.reduce((current, next) => {
            next.details.forEach((detail, key, index) => {
                if (!current.find(_detail => _detail.key === detail.key)) {
                    if (!detail.showInTable) {
                        const e = entries.find(entry => entry.details.get(detail.key)?.showInTable);
                        if (e) {
                            detail = e.details.get(detail.key);
                        }
                    }
                    current.push(detail);
                }
            });
            const flatten = (obj, prefix = '') => {
                let keys = [];
                for (const key in obj) {
                    if (!Object.prototype.hasOwnProperty.call(obj, key)) {
                        continue;
                    }
                    const newKey = prefix ? `${prefix}.${key}` : key;
                    keys.push(newKey);
                    if (typeof obj[key] === 'object' && obj[key] !== null && !(obj[key] instanceof Date)) {
                        keys = [...keys, ...flatten(obj[key], newKey)];
                    }
                }
                return keys;
            };
            const flattenedKeys = flatten(next.viewConfig);
            // Sort the current array
            current.sort((a, b) => {
                const aIndex = flattenedKeys.indexOf(a.key);
                const bIndex = flattenedKeys.indexOf(b.key);
                // Handle cases where keys are not found in the flattened array
                if (aIndex === -1 && bIndex === -1) {
                    return 0;
                }
                if (aIndex === -1) {
                    return 1;
                }
                if (bIndex === -1) {
                    return -1;
                }
                return aIndex - bIndex;
            });
            return current;
        }, new Array());
        this.headers.length = 0;
        this.headers.push(...entryDetails.reduce((previous, detail) => {
            if (detail.showInTable) {
                if (!detail.tableGroup) {
                    previous.push(detail);
                }
                else {
                    let groupDetail = previous.find(_detail => _detail.group === detail.group);
                    if (!groupDetail) {
                        groupDetail = {
                            group: detail.group,
                            key: detail.group,
                            label: detail.label,
                            tableGroup: detail.tableGroup,
                            sortable: detail.sortable,
                            details: new Array(),
                        };
                        previous.push(groupDetail);
                    }
                    groupDetail.details.push(detail);
                }
            }
            return previous;
        }, new Array()));
        this.displayedColumns.length = 0;
        this.displayedColumns.push(...this.headers.reduce((previous, next) => {
            const item = next.tableGroup ? next.group : next.key;
            if (!previous.includes(item)) {
                previous.push(item);
            }
            return previous;
        }, new Array()));
        if (this.displayedColumns.length > 0) {
            this.actionColumns.forEach((column) => {
                if (column.index != null) {
                    this.displayedColumns.splice(column.index, 0, column.name);
                }
                else {
                    this.displayedColumns.push(column.name);
                }
            });
        }
        this.headers.forEach((header) => {
            if (header.details) {
                this.detailGroups.set(header.key, this.createDetailGroups(header.details));
            }
        });
        this.detailValues.clear();
    }
    queryEntries(entityFilter) {
        const filter = entityFilter || this.findFilter();
        this.applyFilter(filter);
        return fromPromise(this.datasource.init(filter));
    }
    createDetailGroups(details) {
        return details.sort((detail, other) => {
            if (detail.groupIndex == null || other.groupIndex == null) {
                return 0;
            }
            if (detail.groupIndex > other.groupIndex) {
                return +1;
            }
            if (detail.groupIndex < other.groupIndex) {
                return -1;
            }
            return 0;
        }).reduce((previousValue, currentValue) => {
            let detailGroup = previousValue.find(_detailGroup => _detailGroup.name === currentValue.group
                && _detailGroup.direction === currentValue.groupDirection);
            if (!detailGroup) {
                detailGroup = {
                    name: currentValue.group,
                    direction: currentValue.groupDirection,
                    details: new Array(),
                };
                previousValue.push(detailGroup);
            }
            detailGroup.details.push(currentValue);
            return previousValue;
        }, new Array());
    }
}

class TreeSelectOptions {
    values;
    options;
    optionsTree = new Array();
    constructor(values, options) {
        this.values = values;
        this.options = options;
    }
    async load() {
        await this.loadValuesTree();
        const mapTree = (object) => {
            const option = this.mapOption(object);
            option.options = option.objectChildren.map(_object => mapTree(_object));
            return option;
        };
        this.optionsTree.push(...this.valuesTree.map(object => mapTree(object)));
        this.options.push(...this.values.map(_interest => this.mapOption(_interest)));
        return this.options;
    }
    add(option) {
        const parentOptions = new Array();
        this.selectOption(option, true, parentOptions);
        for (const _option of [...parentOptions, option]) {
            if (this.values.includes(_option.objectValue) || !_option.canSelect()) {
                continue;
            }
            this.values.push(_option.objectValue);
            this.options.push(this.mapOption(_option.objectValue));
        }
    }
    remove(option) {
        const index = this.values.findIndex(_interest => _interest === option.objectValue);
        if (index >= 0) {
            this.values.splice(index, 1);
            this.options.splice(index, 1);
            const parentOptions = new Array();
            this.selectOption(option, false, parentOptions);
            for (const childOption of option.options) {
                if (childOption.isSelected()) {
                    this.remove(childOption);
                }
            }
            for (const _option of parentOptions.reverse()) {
                if (!_option.canDeselect()) {
                    continue;
                }
                this.remove(_option);
            }
        }
    }
    findOption(object) {
        const searchTree = (options) => options.reduce((current, next) => {
            if (current) {
                return current;
            }
            if (next.objectValue === object) {
                return next;
            }
            return searchTree(next.options);
        }, null);
        return searchTree(this.optionsTree);
    }
    selectOption(option, selected, parents = new Array()) {
        const find = (_option, _parents) => {
            if (_option.name !== option.name) {
                const childParents = [..._parents, _option];
                const found = _option.options?.some(childOption => find(childOption, childParents));
                if (found) {
                    _parents.length = 0;
                    _parents.push(...childParents);
                }
                // noinspection PointlessBooleanExpressionJS
                return !!found;
            }
            return true;
        };
        this.optionsTree.forEach((_interest) => {
            const _parents = [...parents];
            if (find(_interest, _parents)) {
                parents.push(..._parents);
            }
        });
        if (option.canSelect()) {
            option.select(selected);
        }
        if (selected) {
            parents.forEach((parent) => {
                if (parent.canSelect()) {
                    parent.select(selected);
                }
            });
        }
    }
}

class MyErrorStateMatcher {
    isErrorState(control, form) {
        const invalidCtrl = !!(control && control.invalid && control.parent?.dirty);
        const invalidParent = !!(control && control.parent && control.parent.invalid && control.parent.dirty);
        return (invalidCtrl || invalidParent);
    }
}
/**
 * Base component class for form views using the {@link QueryTableEntryFormComponent}.
 */
class QueryTableFormComponent {
    _activationRoute;
    _confirmationService;
    _formBuilder;
    _matSnackBar;
    _mediaWatcherService;
    _translateKey;
    _translocoService;
    pageType;
    matcher = new MyErrorStateMatcher();
    _isScreenSmall = false;
    _isValid = false;
    _currentEntityOperation = null;
    _entryDetails;
    _entryForm = null;
    _uploaded;
    snackBarConfig = {
        verticalPosition: 'top',
        duration: 5000,
    };
    #unsubscribeAll = new Subject();
    #formValueChanges;
    constructor(_activationRoute, _confirmationService, _formBuilder, _matSnackBar, _mediaWatcherService, _translateKey, _translocoService) {
        this._activationRoute = _activationRoute;
        this._confirmationService = _confirmationService;
        this._formBuilder = _formBuilder;
        this._matSnackBar = _matSnackBar;
        this._mediaWatcherService = _mediaWatcherService;
        this._translateKey = _translateKey;
        this._translocoService = _translocoService;
    }
    //region Properties
    /* eslint-disable @typescript-eslint/member-ordering */
    /**
     * Use this form to maintain custom form inputs which will be included into the validation {@link isValid}.
     * To create the form with the given controls use {@link createEntryForm}.
     */
    get entryForm() {
        return this._entryForm;
    }
    /**
     * The entry details to display in the form.
     */
    get entryDetails() {
        return this._entryDetails;
    }
    get currentEntityOperation() {
        return this._currentEntityOperation;
    }
    set currentEntityOperation(value) {
        this._currentEntityOperation = value;
        this.isEnabled = value === null;
    }
    get isDeleting() {
        return this.currentEntityOperation === 'delete';
    }
    get isSaving() {
        return this.currentEntityOperation === 'save';
    }
    get isUploading() {
        return this.currentEntityOperation === 'upload';
    }
    get isEnabled() {
        return (!this._entryForm || this._entryForm?.enabled) ?? false;
    }
    set isEnabled(value) {
        if (value) {
            this._entryForm?.enable();
        }
        else {
            this._entryForm?.disable();
        }
        this.detailsComponent.isEnabled = value;
    }
    get isValid() {
        return (!this._entryForm || !this._entryForm.invalid) && this._isValid;
    }
    get uploaded() {
        return this._uploaded;
    }
    get unsubscribeAll() {
        return this.#unsubscribeAll;
    }
    /* eslint-enable @typescript-eslint/member-ordering */
    //endregion
    //region Lifecycle hooks
    // eslint-disable-next-line @angular-eslint/contextual-lifecycle
    ngOnChanges(changes) {
        if (changes['entry']?.currentValue) {
            const entry = changes['entry'].currentValue;
            this._entryDetails = Array.from(this.entry.details.values());
            this.pageType = (entry.id === '' || entry.id === '0') ? 'new' : 'edit';
            this.createEntryForm({});
        }
    }
    // eslint-disable-next-line @angular-eslint/contextual-lifecycle
    ngOnInit() {
        // Subscribe to media changes
        this._mediaWatcherService.onMediaChange$
            .pipe(takeUntil(this.unsubscribeAll))
            .subscribe(({ matchingAliases }) => {
            this._isScreenSmall =
                this._activationRoute.snapshot.url[0]?.path === 'details'
                    || !matchingAliases.includes('sm');
        });
    }
    ngOnDestroy() {
        // Unsubscribe from all subscriptions
        this.#unsubscribeAll.next();
        this.#unsubscribeAll.complete();
    }
    //endregion
    //region Public Methods
    /**
     * Create {@link entryForm} with the given controls.
     *
     * @param controls
     */
    createEntryForm(controls) {
        this._entryForm = this._formBuilder.group(controls);
        if (this.#formValueChanges) {
            this.#formValueChanges.unsubscribe();
        }
        this.#formValueChanges = this._entryForm.valueChanges.subscribe(() => {
            this.detailsInputChanged(this._isValid);
        });
    }
    detailsInputChanged($event) {
        this._isValid = $event;
        this.inputChanged.emit((!this._entryForm || !this._entryForm.invalid) && $event);
    }
    /**
     * Save the entity with optional entity properties.
     *
     * @param entity Optional entity properties to save.
     */
    async save(entity) {
        this.currentEntityOperation = 'save';
        let entry;
        try {
            entry = await this.saveEntry(entity);
            // Show the success message
            this._matSnackBar.open(this._translocoService.translate(this.uploaded === null
                ? this._translateKey + '.SAVE.UPLOAD_CANCELLED'
                : (this.pageType === 'new'
                    ? this._translateKey + '.SAVE.SUCCESS'
                    : this._translateKey + '.SAVE.UPDATED'), {
                name: this.entry.name,
            }), this._translocoService.translate('BUTTON.OK').toUpperCase(), this.snackBarConfig);
        }
        catch (error) {
            if (this.detailsComponent.handleError(error)) {
                return;
            }
            console.error(error);
            return;
        }
        finally {
            this.currentEntityOperation = null;
        }
        this._entryForm?.markAsPristine();
        return entry;
    }
    async delete() {
        const result = await lastValueFrom(this._confirmationService.open({
            title: this._translocoService.translate(this._translateKey + '.DELETE.TITLE'),
            message: this._translocoService.translate(this._translateKey + '.DELETE.MESSAGE', {
                name: this.entry.name,
            }),
            actions: {
                cancel: {
                    label: this._translocoService.translate('BUTTON.CANCEL'),
                },
                confirm: {
                    label: this._translocoService.translate('BUTTON.DELETE'),
                },
            },
            sanitizeContent: true,
        }).afterClosed());
        if (result !== 'confirmed') {
            return false;
        }
        try {
            this.currentEntityOperation = 'delete';
            await this.datasource.delete(this.entry);
            // Show the success message
            this._matSnackBar.open(this._translocoService.translate(this._translateKey + '.DELETE.SUCCESS', { name: this.entry.name }), '', {
                ...this.snackBarConfig,
                panelClass: [
                    'bg-warn',
                    'text-white',
                ],
            });
            return true;
        }
        catch (error) {
            this._matSnackBar.open(this._translocoService.translate(this._translateKey + '.DELETE.FAILED', { name: this.entry.name }), 'ERROR', this.snackBarConfig);
            return false;
        }
        finally {
            this.currentEntityOperation = null;
        }
    }
    //endregion
    // noinspection JSUnusedGlobalSymbols
    async uploadFile(entity, file, uploadFile, messageCallback, snackBarConfig = {
        horizontalPosition: 'center',
        verticalPosition: 'top',
    }) {
        if (file) {
            // Show uploading message
            const uploadingDialog = this._matSnackBar.openFromComponent(UploadProgressComponent, snackBarConfig);
            uploadingDialog.instance.message = messageCallback();
            const unsubscribe = new Subject();
            uploadingDialog.instance.cancel.subscribe(() => {
                unsubscribe.next();
                unsubscribe.complete();
            });
            this.currentEntityOperation = 'upload';
            try {
                this._uploaded = await lastValueFrom(uploadFile(entity, file, (progress) => {
                    uploadingDialog.instance.message = messageCallback(progress);
                    uploadingDialog.instance.progress = progress;
                }).pipe(takeUntil(unsubscribe), takeUntil(this.#unsubscribeAll)), { defaultValue: null });
            }
            catch (error) {
                console.error(error);
            }
            uploadingDialog.dismiss();
        }
        return this._uploaded;
    }
    /**
     * Save the entity with optional constructor parameters.
     *
     * @param entryArgs Optional constructor parameters.
     * @protected
     */
    saveEntity(...entryArgs) {
        const changes = this.detailsComponent.save();
        const entity = this.createEntry(changes, ...entryArgs);
        return {
            changes,
            result: entity instanceof QueryTableEntry
                ? entity
                : this.datasource.newEntry(this.newEntity(entity), ...entryArgs),
        };
    }
    /**
     * Create a new entity from the given entity. If the entry id is not empty, the entity is enriched with the entry entity values.
     *
     * @param entity The entity to create a new entity from.
     * @protected
     */
    newEntity(entity) {
        return (this.entry.id === '' || this.entry.id === '0')
            ? { ...entity }
            : {
                ...this.entry.entity,
                ...entity,
            };
    }
    /** @nocollapse */ static ɵfac = function QueryTableFormComponent_Factory(t) { return new (t || QueryTableFormComponent)(i0.ɵɵinject(i1$1.ActivatedRoute), i0.ɵɵinject(i2$2.YukawaConfirmationService), i0.ɵɵinject(i15.FormBuilder), i0.ɵɵinject(i4$2.MatSnackBar), i0.ɵɵinject(MEDIA_WATCHER_SERVICE), i0.ɵɵinject(''), i0.ɵɵinject(i3$1.TranslocoService)); };
    /** @nocollapse */ static ɵprov = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjectable({ token: QueryTableFormComponent, factory: QueryTableFormComponent.ɵfac });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableFormComponent, [{
        type: Injectable
    }], () => [{ type: i1$1.ActivatedRoute }, { type: i2$2.YukawaConfirmationService }, { type: i15.FormBuilder }, { type: i4$2.MatSnackBar }, { type: undefined, decorators: [{
                type: Inject,
                args: [MEDIA_WATCHER_SERVICE]
            }] }, { type: undefined, decorators: [{
                type: Inject,
                args: ['']
            }] }, { type: i3$1.TranslocoService }], null); })();

/**
 * Base component class for views using the {@link QueryTableComponent}.
 */
class QueryTableViewComponent {
    _activatedRoute;
    _router;
    _mediaWatcherService;
    defaultSort;
    drawerMode;
    #unsubscribeAll = new Subject();
    constructor(_activatedRoute, _router, _mediaWatcherService, defaultSort = {
        active: 'created.date',
        direction: 'desc',
    }) {
        this._activatedRoute = _activatedRoute;
        this._router = _router;
        this._mediaWatcherService = _mediaWatcherService;
        this.defaultSort = defaultSort;
    }
    get unsubscribeAll() {
        return this.#unsubscribeAll;
    }
    // eslint-disable-next-line @angular-eslint/contextual-lifecycle
    ngOnInit() {
        if (this.filter) {
            fromEvent(this.filter.nativeElement, 'keyup')
                .pipe(debounceTime(1000), distinctUntilChanged())
                .subscribe(async (event) => {
                let value = this.filter.nativeElement.value;
                if (value === '') {
                    value = null;
                }
                await this.queryTable.navigate({
                    firstResult: 0,
                    search: value,
                });
            });
        }
        if (this.matDrawer) {
            // Subscribe to media query change
            this._mediaWatcherService.onMediaQueryChange$('(min-width: 1440px)')
                .pipe(takeUntil(this.unsubscribeAll))
                .subscribe((state) => {
                // Calculate the drawer mode
                this.drawerMode = state.matches ? 'side' : 'over';
            });
            this.matDrawer._closedStream.subscribe(() => {
                if (!this._router.getCurrentNavigation()) {
                    this.queryTable.dataSource.selectedEntry = null;
                }
            });
        }
    }
    ngOnDestroy() {
        this.#unsubscribeAll.next();
        this.#unsubscribeAll.complete();
    }
    // eslint-disable-next-line @angular-eslint/contextual-lifecycle
    ngAfterViewInit() {
        if (!this.queryTable) {
            setTimeout(() => this.ngAfterViewInit(), 100);
            return;
        }
        this.queryTable.dataSource.loaded.pipe(takeUntil(this.#unsubscribeAll), switchMap(async () => {
            // Select the first entry if there is only one and the search query is set
            if (this._activatedRoute.snapshot.queryParamMap.has('search')
                && this.queryTable.dataSource.entries.length === 1) {
                this.queryTable.dataSource.selectedEntry = this.queryTable.dataSource.entries[0];
            }
            // Navigate to the list if the selected entry is not in the list
            else if (this._router.url.indexOf('details') >= -1
                && this.queryTable.dataSource.selectedEntry != null
                && !this.queryTable.dataSource.entries.find(entry => entry.id === this.queryTable.dataSource.selectedEntry?.id)) {
                await this._router.navigate(['.'], {
                    relativeTo: this._activatedRoute,
                    queryParamsHandling: 'preserve',
                });
            }
        })).subscribe();
    }
    applyFilter(params) {
        if (this.filter) {
            if (params.has('search')) {
                const search = params.get('search');
                this.queryFilter.keyword = search;
                this.filter.nativeElement.value = search;
            }
            else {
                delete this.queryFilter['keyword'];
                this.filter.nativeElement.value = '';
            }
        }
    }
    ;
    /** @nocollapse */ static ɵfac = function QueryTableViewComponent_Factory(t) { return new (t || QueryTableViewComponent)(i0.ɵɵinject(i1$1.ActivatedRoute), i0.ɵɵinject(i1$1.Router), i0.ɵɵinject(MEDIA_WATCHER_SERVICE), i0.ɵɵinject('')); };
    /** @nocollapse */ static ɵprov = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjectable({ token: QueryTableViewComponent, factory: QueryTableViewComponent.ɵfac });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableViewComponent, [{
        type: Injectable
    }], () => [{ type: i1$1.ActivatedRoute }, { type: i1$1.Router }, { type: undefined, decorators: [{
                type: Inject,
                args: [MEDIA_WATCHER_SERVICE]
            }] }, { type: undefined, decorators: [{
                type: Inject,
                args: ['']
            }] }], null); })();

const _c0$1 = ["matTable"];
const _c1 = ["noDataTemplate"];
const _c2 = ["matRow"];
const _c3 = (a0, a1) => ({ "animate-pulse": a0, "overflow-hidden": a1 });
const _c4 = () => [5, 10, 25, 100];
const _c5 = a0 => ({ "animate-pulse": a0 });
const _c6 = a0 => ({ "hidden": a0 });
const _c7 = (a0, a1) => ({ row: a0, detail: a1 });
const _c8 = (a0, a1) => ({ "flex-col space-y-1": a0, "flex-row space-x-1": a1 });
const _c9 = (a0, a1) => ({ "text-primary-500": a0, "text-white": a1 });
const _c10 = (a0, a1) => ({ "mat-row-active": a0, "cursor-pointer": a1 });
const _c11 = a0 => ({ "rounded-md": a0 });
function QueryTableComponent_mat_header_cell_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-cell");
} }
function QueryTableComponent_mat_cell_5_Template(rf, ctx) { if (rf & 1) {
    const _r2 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-cell")(1, "button", 13);
    i0.ɵɵlistener("click", function QueryTableComponent_mat_cell_5_Template_button_click_1_listener($event) { const row_r3 = i0.ɵɵrestoreView(_r2).$implicit; const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.expandButtonClick($event, row_r3)); });
    i0.ɵɵelementStart(2, "mat-icon");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const row_r3 = ctx.$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("title", ctx_r3.rowIsExpanded(row_r3) ? ctx_r3.expandOnEntrySelectExpandedTitle : ctx_r3.expandOnEntrySelectCollapsedTitle);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r3.rowIsExpanded(row_r3) ? "expand_less" : "expand_more");
} }
function QueryTableComponent_ng_container_6_mat_header_cell_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "transloco");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r5 = i0.ɵɵnextContext().$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵpropertyInterpolate("mat-sort-header", _detail_r5.key);
    i0.ɵɵproperty("disabled", !_detail_r5.sortable)("ngClass", i0.ɵɵpureFunction1(6, _c6, ctx_r3.dataSource.entries.length === 0));
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(2, 4, _detail_r5.label), " ");
} }
function QueryTableComponent_ng_container_6_mat_cell_2_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 20);
} if (rf & 2) {
    const row_r6 = i0.ɵɵnextContext().$implicit;
    const _detail_r5 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const itemTemplate_r7 = i0.ɵɵreference(13);
    i0.ɵɵproperty("ngTemplateOutlet", itemTemplate_r7)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c7, row_r6, _detail_r5));
} }
function QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_ng_container_2_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 20);
} if (rf & 2) {
    const _groupDetail_r8 = ctx.$implicit;
    const row_r6 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵnextContext(2);
    const itemTemplate_r7 = i0.ɵɵreference(13);
    i0.ɵɵproperty("ngTemplateOutlet", itemTemplate_r7)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c7, row_r6, _groupDetail_r8));
} }
function QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 23);
    i0.ɵɵtemplate(2, QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_ng_container_2_ng_container_2_Template, 1, 5, "ng-container", 24);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _group_r9 = ctx.$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(2, _c8, _group_r9.direction === "vertical", _group_r9.direction === "horizontal"));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", _group_r9.details);
} }
function QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 21);
    i0.ɵɵtemplate(2, QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_ng_container_2_Template, 3, 5, "ng-container", 22);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _detail_r5 = i0.ɵɵnextContext(2).$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", ctx_r3.dataSource.detailGroups.get(_detail_r5.key));
} }
function QueryTableComponent_ng_container_6_mat_cell_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵelementContainerStart(2, 17);
    i0.ɵɵtemplate(3, QueryTableComponent_ng_container_6_mat_cell_2_ng_container_3_Template, 1, 5, "ng-container", 18)(4, QueryTableComponent_ng_container_6_mat_cell_2_ng_container_4_Template, 3, 1, "ng-container", 19);
    i0.ɵɵelementContainerEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _detail_r5 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵattribute("data-column", i0.ɵɵpipeBind1(1, 4, _detail_r5.label));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngSwitch", _detail_r5.group !== undefined && _detail_r5.tableGroup === true);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", false);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
} }
function QueryTableComponent_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 14);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_container_6_mat_header_cell_1_Template, 3, 8, "mat-header-cell", 15)(2, QueryTableComponent_ng_container_6_mat_cell_2_Template, 5, 6, "mat-cell", 7);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _detail_r5 = ctx.$implicit;
    i0.ɵɵpropertyInterpolate("matColumnDef", _detail_r5.key);
} }
function QueryTableComponent_ng_container_7_mat_header_cell_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-cell", 28);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("transloco", ctx_r3.entryActionsLabel)("ngClass", i0.ɵɵpureFunction1(2, _c6, ctx_r3.dataSource.entries.length === 0));
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_button_1_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 35);
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵlistener("click", function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_button_1_Template_button_click_0_listener($event) { i0.ɵɵrestoreView(_r10); const _action_r11 = i0.ɵɵnextContext(2).$implicit; const row_r12 = i0.ɵɵnextContext().$implicit; const ctx_r3 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r3.onEntryAction($event, row_r12, _action_r11)); });
    i0.ɵɵelement(2, "mat-icon", 36);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _action_r11 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("matTooltip", i0.ɵɵpipeBind1(1, 4, _action_r11.name));
    i0.ɵɵadvance(2);
    i0.ɵɵclassMap(_action_r11.class);
    i0.ɵɵpropertyInterpolate("svgIcon", _action_r11.icon);
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_span_2_mat_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 36);
} if (rf & 2) {
    const _action_r11 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵclassMapInterpolate1("mr-2 ", _action_r11.class, "");
    i0.ɵɵpropertyInterpolate("svgIcon", _action_r11.icon);
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_span_2_Template(rf, ctx) { if (rf & 1) {
    const _r13 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "span", 37);
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵelementStart(2, "button", 38);
    i0.ɵɵlistener("click", function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_span_2_Template_button_click_2_listener($event) { i0.ɵɵrestoreView(_r13); const _action_r11 = i0.ɵɵnextContext(2).$implicit; const row_r12 = i0.ɵɵnextContext().$implicit; const ctx_r3 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r3.onEntryAction($event, row_r12, _action_r11)); });
    i0.ɵɵtemplate(3, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_span_2_mat_icon_3_Template, 1, 4, "mat-icon", 39);
    i0.ɵɵelement(4, "span", 40);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const _action_r11 = i0.ɵɵnextContext(2).$implicit;
    const row_r12 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("matTooltip", i0.ɵɵpipeBind1(1, 5, _action_r11.customTooltip));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", _action_r11.disabled)("color", row_r12.selected ? "primary" : undefined);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", _action_r11.icon);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("transloco", _action_r11.name);
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_a_3_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 41);
    i0.ɵɵlistener("click", function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_a_3_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r14); const _action_r11 = i0.ɵɵnextContext(2).$implicit; const row_r12 = i0.ɵɵnextContext().$implicit; const ctx_r3 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r3.onEntryAction($event, row_r12, _action_r11)); });
    i0.ɵɵelement(1, "span", 40);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _action_r11 = i0.ɵɵnextContext(2).$implicit;
    const row_r12 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(2, _c9, !row_r12.selected, row_r12.selected));
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("transloco", _action_r11.name);
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_button_1_Template, 3, 6, "button", 32)(2, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_span_2_Template, 5, 7, "span", 33)(3, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_a_3_Template, 2, 5, "a", 34);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "icon");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "button");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "link");
} }
function QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_ng_container_1_Template, 4, 3, "ng-container", 31);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const _action_r11 = ctx.$implicit;
    const row_r12 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("ngSwitch", _action_r11.type);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !_action_r11.available || _action_r11.available(row_r12));
} }
function QueryTableComponent_ng_container_7_mat_cell_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell", 29);
    i0.ɵɵpipe(1, "transloco");
    i0.ɵɵtemplate(2, QueryTableComponent_ng_container_7_mat_cell_2_ng_container_2_Template, 2, 2, "ng-container", 30);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵattribute("data-column", i0.ɵɵpipeBind1(1, 2, ctx_r3.entryActionsLabel));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", ctx_r3.actions);
} }
function QueryTableComponent_ng_container_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 25);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_container_7_mat_header_cell_1_Template, 1, 4, "mat-header-cell", 26)(2, QueryTableComponent_ng_container_7_mat_cell_2_Template, 3, 4, "mat-cell", 27);
    i0.ɵɵelementContainerEnd();
} }
function QueryTableComponent_mat_header_row_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-row");
} }
function QueryTableComponent_mat_row_9_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-row", 42, 3);
    i0.ɵɵlistener("click", function QueryTableComponent_mat_row_9_Template_mat_row_click_0_listener() { const row_r16 = i0.ɵɵrestoreView(_r15).$implicit; const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.rowClicked(row_r16)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r16 = ctx.$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMap(row_r16.rowClass);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(3, _c10, row_r16.selected, ctx_r3.rowSelect));
} }
function QueryTableComponent_ng_template_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 43);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("transloco", ctx_r3.noEntriesLabel)("@fadeIn", undefined);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 47);
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("entry", row_r18)("detail", row_r18.details.get(detail_r19.key))("component", ctx_r3.getCellComponent(detail_r19.key));
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 37);
    i0.ɵɵpipe(1, "dateFormat");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "dateFormat");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate2("whitespace-nowrap ", detail_r19.class, " ", row_r18.details.get(detail_r19.key).cellClass, "");
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", i0.ɵɵpipeBind2(1, 7, ctx_r3.getRowDetail(row_r18, detail_r19), "LLL"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind2(3, 10, ctx_r3.getRowDetail(row_r18, detail_r19), "L"), "");
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 37);
    i0.ɵɵpipe(1, "dateFormat");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "dateFormat");
    i0.ɵɵpipe(4, "dateFormat");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate2("whitespace-nowrap type-", row_r18.details.get(detail_r19.key).type, " ", detail_r19.class, "");
    i0.ɵɵproperty("@fadeIn", undefined)("matTooltip", i0.ɵɵpipeBind2(1, 8, ctx_r3.getRowDetail(row_r18, detail_r19), "LLL"));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2(" ", i0.ɵɵpipeBind2(3, 11, ctx_r3.getRowDetail(row_r18, detail_r19), "L"), " ", i0.ɵɵpipeBind2(4, 14, ctx_r3.getRowDetail(row_r18, detail_r19), "LT"), " ");
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_mat_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-icon", 54);
} if (rf & 2) {
    i0.ɵɵproperty("svgIcon", "iconsmind:file")("@fadeIn", undefined);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_img_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 55);
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(4);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate2("h-20 w-auto object-cover ", detail_r19.class, " ", row_r18.details.get(detail_r19.key).cellClass, "");
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(7, _c11, !detail_r19.class || detail_r19.class.indexOf("rounded") === -1))("src", ctx_r3.getRowDetail(row_r18, detail_r19), i0.ɵɵsanitizeUrl)("@fadeIn", undefined);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵelementStart(1, "div", 51);
    i0.ɵɵtemplate(2, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_mat_icon_2_Template, 1, 2, "mat-icon", 52)(3, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_img_3_Template, 1, 9, "img", 53);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngSwitch", !!ctx_r3.getRowDetail(row_r18, detail_r19));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngSwitchCase", false);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_mat_checkbox_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-checkbox", 56);
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(3);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("checked", ctx_r3.getRowDetail(row_r18, detail_r19) !== "")("@fadeIn", undefined);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "sanitizer");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(4);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate2("", detail_r19.class, " ", row_r18.details.get(detail_r19.key).cellClass, "");
    i0.ɵɵproperty("@fadeIn", undefined);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 6, ctx_r3.getRowDetail(row_r18, detail_r19)));
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 59);
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(4);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate2("", detail_r19.class, " ", row_r18.details.get(detail_r19.key).cellClass, "");
    i0.ɵɵproperty("@fadeIn", undefined)("innerHTML", ctx_r3.getRowDetail(row_r18, detail_r19), i0.ɵɵsanitizeHtml);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_span_1_Template, 3, 8, "span", 57)(2, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_span_2_Template, 1, 6, "span", 58);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const detail_r19 = i0.ɵɵnextContext(3).detail;
    i0.ɵɵproperty("ngSwitch", detail_r19.markdownSupport === true);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", false);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
} }
function QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_span_1_Template, 4, 13, "span", 48)(2, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_span_2_Template, 5, 17, "span", 48)(3, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_3_Template, 4, 3, "ng-container", 49)(4, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_mat_checkbox_4_Template, 1, 2, "mat-checkbox", 50)(5, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_ng_container_5_Template, 3, 3, "ng-container", 46);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    const row_r18 = ctx_r16.row;
    const detail_r19 = ctx_r16.detail;
    i0.ɵɵproperty("ngSwitch", row_r18.details.get(detail_r19.key).type);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "date");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "dateTime");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "image");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", "boolean");
} }
function QueryTableComponent_ng_template_12_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵtemplate(1, QueryTableComponent_ng_template_12_ng_container_0_ng_container_1_Template, 1, 3, "ng-container", 45)(2, QueryTableComponent_ng_template_12_ng_container_0_ng_container_2_Template, 6, 5, "ng-container", 46);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const detail_r19 = i0.ɵɵnextContext().detail;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngSwitch", ctx_r3.cellComponents == null ? null : ctx_r3.cellComponents.has(detail_r19.key));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngSwitchCase", true);
} }
function QueryTableComponent_ng_template_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, QueryTableComponent_ng_template_12_ng_container_0_Template, 3, 2, "ng-container", 44);
} if (rf & 2) {
    let tmp_6_0;
    const row_r18 = ctx.row;
    const detail_r19 = ctx.detail;
    i0.ɵɵproperty("ngIf", (tmp_6_0 = row_r18.details.get(detail_r19.key)) == null ? null : tmp_6_0.showInTable);
} }
class QueryTableComponent {
    _activatedRoute;
    _changeDetectorRef;
    _configService;
    _elementRef;
    _emojiService;
    _overlay;
    _router;
    _viewContainerRef;
    _mediaWatcherService;
    table;
    noDataTemplate;
    paginator;
    sort;
    containers;
    filter;
    dataStore;
    defaultSort;
    pageSize;
    reloadEntry;
    selectedEntryComponent;
    cellComponents;
    displayPager = true;
    displayActions = true;
    actions = new Array();
    rowSelect = true;
    expandOnEntrySelect = false;
    expandOnEntrySelectCollapsedTitle = '';
    expandOnEntrySelectExpandedTitle = '';
    entryAction = new EventEmitter();
    entryActionsLabel = 'QUERY_TABLE.ACTIONS';
    noEntriesLabel = 'QUERY_TABLE.NO_ENTRIES';
    queryParams;
    applyFilter;
    dataSource;
    entrySelected = new EventEmitter();
    expandedRow = null;
    overflowHidden = false;
    #markedPipe = new MarkedPipe();
    #defaultPageSizeKey;
    #unsubscribeAll = new Subject();
    #expandedComponent;
    #overlayRef = null;
    #skipParams;
    constructor(_activatedRoute, _changeDetectorRef, _configService, _elementRef, _emojiService, _overlay, _router, _viewContainerRef, _mediaWatcherService) {
        this._activatedRoute = _activatedRoute;
        this._changeDetectorRef = _changeDetectorRef;
        this._configService = _configService;
        this._elementRef = _elementRef;
        this._emojiService = _emojiService;
        this._overlay = _overlay;
        this._router = _router;
        this._viewContainerRef = _viewContainerRef;
        this._mediaWatcherService = _mediaWatcherService;
        this.#defaultPageSizeKey = TemplateString `${'store'}=${'item'}`({
            store: this._configService.getValue('sessionStoreKey'),
            item: this._configService.getValue('sessionStorePrefix') + 'defaultPageSize',
        });
    }
    get defaultPageSize() {
        return localStorage.getItem(this.#defaultPageSizeKey)
            ? Number(localStorage.getItem(this.#defaultPageSizeKey))
            : this.filter.pager?.pageSize || this.pageSize || 10;
    }
    set defaultPageSize(value) {
        localStorage.setItem(this.#defaultPageSizeKey, String(value));
    }
    get expandedComponent() {
        return this.#expandedComponent;
    }
    get skipParams() {
        return this.#skipParams;
    }
    async ngOnInit() {
        if (this.dataSource?.dispose) {
            this.dataSource?.dispose();
        }
        this.dataSource = new this.dataStore(this.paginator, this.sort, this.filter);
        if (this.selectedEntryComponent) {
            this.dataSource.actionColumns.push({ name: 'expand', index: 0 });
        }
        this.dataSource.datasource.loading$
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe((loading) => {
            if (!!loading) {
                this.overflowHidden = true;
            }
        });
        this.dataSource.loaded.subscribe(async () => {
            this.updateTableHeight();
            if (this.dataSource.entries.length === 0) {
                this.showNoDataOverlay();
            }
            else {
                this.dismissNoDataOverlay();
            }
            setTimeout(() => {
                this.overflowHidden = false;
            }, 1000);
        });
        if (this.displayActions && this.actions.length > 0) {
            this.dataSource.actionColumns.push({ name: 'actions' });
        }
        if (this.filter?.pager) {
            this.paginator.pageSize = this.filter.pager.pageSize;
            this.paginator.pageIndex = this.filter.pager.firstResult / this.filter.pager.pageSize;
        }
        else {
            this.paginator.pageSize = this.defaultPageSize;
        }
        if (this.filter?.orderBy) {
            this.sort.sort({
                id: this.filter.orderBy,
                start: this.filter.orderDir?.toLowerCase(),
                disableClear: false,
            });
        }
        this.dataSource.entrySelected.asObservable()
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe((entry) => {
            this.onEntrySelected(entry);
        });
        this.dataSource.loaded.asObservable()
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe(async (users) => {
            if (this.filter.pager) {
                this.defaultPageSize = this.filter.pager.pageSize;
            }
            await this.navigate(this.queryParams, true);
        });
        this._activatedRoute.queryParamMap
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe(async (params) => {
            if (this.#skipParams) {
                return;
            }
            const filter = cloneDeep(this.dataSource.filterSubject.getValue());
            if (params.has('pageSize')) {
                this.defaultPageSize = Number(params.get('pageSize'));
                if (!this.filter.pager) {
                    this.filter.pager = {
                        pageSize: this.defaultPageSize,
                    };
                }
                else {
                    this.filter.pager.pageSize = this.defaultPageSize;
                }
            }
            else {
                delete this.filter['pager'];
            }
            if (params.has('firstResult')) {
                if (!this.filter.pager) {
                    this.filter.pager = {
                        firstResult: Number(params.get('firstResult')),
                    };
                }
                else {
                    this.filter.pager.firstResult = Number(params.get('firstResult'));
                }
            }
            else {
                delete this.filter['pager'];
            }
            if (params.has('orderBy')) {
                this.filter.orderBy = params.get('orderBy');
            }
            else if (this.filter.orderBy) {
                delete this.filter['orderBy'];
            }
            if (params.has('orderDir')) {
                this.filter.orderDir = params.get('orderDir');
            }
            else if (this.filter.orderDir) {
                delete this.filter['orderDir'];
            }
            if (this.applyFilter) {
                await this.applyFilter(params);
            }
            const lastStatus = this.dataSource.status;
            this.applyFilterQuery();
            // Perform initial loading if datasource status was 'loading' before filter applied (on component init).
            if (lastStatus === 'loading') {
                if (typeof window !== 'undefined' && window['__karma__']) {
                    // The `dataSource.connect` connect should be fired on successful loading of the datasource.
                    // We fire it again here to ensure that the `dataSource.load` call is not running into errors.
                    this.dataSource.connect();
                }
                this.dataSource.load();
            }
            // Reload datasource if filter changed.
            if (this.dataSource.status === 'ready' && !isEqual(filter, this.dataSource.filterSubject.getValue())) {
                this.reload();
            }
        });
        // subscribe to media changes
        this._mediaWatcherService?.onMediaQueryChange$('(max-width: 760px)')
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe((size) => {
            this.updateTableHeight(100);
        });
        this._mediaWatcherService?.onMediaChange$
            .pipe(takeUntil(this.#unsubscribeAll))
            .subscribe((media) => {
            this.updateTableHeight(100);
        });
    }
    async ngOnChanges(changes) {
        if (changes['dataSource']?.previousValue) {
            this.dataSource.disconnect();
            this._changeDetectorRef.detectChanges();
            await this.ngOnInit();
        }
        if (!changes['reloadEntry']?.previousValue) {
            this.reloadEntry
                ?.pipe(takeUntil(this.#unsubscribeAll))
                .subscribe(() => {
                this.dataSource.reload();
            });
        }
    }
    ngAfterViewInit() {
        this.updateTableHeight();
    }
    ngOnDestroy() {
        if (this.dataSource?.dispose) {
            this.dataSource.dispose();
        }
        this.#unsubscribeAll.next(null);
        this.#unsubscribeAll.complete();
    }
    getRowDetail(row, detail) {
        return this.dataSource.getRowDetail(row, detail, (value) => {
            if (detail?.emojiSupport) {
                value = this._emojiService.colonsToNative(value);
            }
            if (detail?.markdownSupport) {
                value = this.#markedPipe.transform(value);
            }
            if (Array.isArray(value)) {
                value = value.join(', ');
            }
            return value;
        });
    }
    async onSortChanged($event) {
        setTimeout(async () => {
            if ($event.direction === '') {
                await this.navigate({}, true);
            }
        });
    }
    async navigate(params, skipParams = false) {
        if (skipParams) {
            this.#skipParams = true;
        }
        if (this.filter.pager?.firstResult === 0) {
            this.paginator.pageIndex = 0;
        }
        return await this._router.navigate([], {
            relativeTo: this._activatedRoute,
            queryParams: {
                pageSize: this.filter.pager?.pageSize,
                firstResult: this.filter.pager?.firstResult,
                orderBy: this.filter.orderBy,
                orderDir: this.filter.orderDir,
                ...params,
            },
            queryParamsHandling: 'merge',
            replaceUrl: this._router.url.indexOf('pageSize') === -1,
        }).finally(() => {
            if (skipParams) {
                this.#skipParams = false;
            }
        });
    }
    reload() {
        this.dataSource.reload();
    }
    async expandButtonClick($event, row) {
        $event.stopPropagation();
        const index = this.dataSource.entries.indexOf(row);
        await this.expandRow(index === this.expandedRow ? null : index);
    }
    rowIsExpanded(row) {
        return isNumber(this.expandedRow) && this.expandedRow === this.dataSource.entries.indexOf(row);
    }
    async expandRow(index) {
        if (!this.selectedEntryComponent) {
            return;
        }
        if (index == null && this.expandedRow != null) {
            // clear old message
            this.containers.toArray()[this.expandedRow]?.clear();
            this.expandedRow = null;
        }
        if (this.expandedRow === index) {
            this.expandedRow = null;
            this.#expandedComponent = null;
        }
        for (let i = 0; i < this.containers.length; i++) {
            const container = this.containers.toArray()[i];
            if (i === index) {
                if (container.length === 0) {
                    this.#expandedComponent = container.createComponent(this.selectedEntryComponent);
                    this.#expandedComponent.instance.entry = this.dataSource.entries[index];
                    this.expandedRow = index;
                    container.element.nativeElement.scrollIntoView({
                        block: 'start',
                        inline: 'start',
                        behavior: 'smooth',
                    });
                }
            }
            else {
                container.clear();
            }
        }
        this.updateTableHeight(300);
    }
    getCellComponent(key) {
        return this.cellComponents?.get(key);
    }
    rowClicked(row) {
        if (!this.rowSelect) {
            return;
        }
        if (this.dataSource.selectedEntry === row) {
            row = null;
        }
        this.dataSource.selectedEntry = row;
    }
    onEntryAction($event, row, action) {
        $event.stopPropagation();
        this.entryAction.emit({
            action: action.name,
            row,
        });
    }
    applyFilterQuery() {
        if (this.filter.pager) {
            this.dataSource.paginator.pageSize = this.filter.pager.pageSize;
            this.dataSource.paginator.pageIndex = this.filter.pager.firstResult / this.filter.pager.pageSize;
        }
        if (this.dataSource.sort.sortables?.size === 0) {
            return;
        }
        if (this.filter.orderBy) {
            const sortable = this.filter.orderBy.split('.')[0];
            this.dataSource.sort.active = this.dataSource.sort.sortables.has(sortable)
                ? sortable
                : this.filter.orderBy;
        }
        else if (this.dataSource.sort.active !== '') {
            this.dataSource.sort.active = '';
            this.dataSource.sort.sortChange.next({
                active: this.filter.orderBy,
                direction: '',
            });
        }
        if (this.filter.orderDir &&
            this.dataSource.sort.direction !== this.filter.orderDir.toLowerCase()) {
            this.dataSource.sort.direction = this.filter.orderDir.toLowerCase();
            this.dataSource.sort.sortChange.next({
                active: this.filter.orderBy,
                direction: this.filter.orderDir.toLowerCase(),
            });
        }
        //this.dataSource.filterSubject.next(this.filter);
    }
    updateTableHeight(delay = 0) {
        setTimeout(() => {
            let totalHeight = 0;
            const addHeight = (element) => {
                if (!element) {
                    return;
                }
                const style = window.getComputedStyle(element, null);
                totalHeight += element.clientHeight;
                totalHeight += parseFloat(style.getPropertyValue('border-top-width').replace('px', '')) ?? 0;
                totalHeight += parseFloat(style.getPropertyValue('border-bottom-width').replace('px', '')) ?? 0;
            };
            // add header height
            addHeight(this.table.nativeElement.querySelector('mat-header-row'));
            // add row heights
            this.table.nativeElement.querySelectorAll('mat-row')?.forEach(addHeight);
            // add expanded row component
            if (this.#expandedComponent) {
                addHeight(this.#expandedComponent?.location.nativeElement);
            }
            if (totalHeight > 0) {
                this._elementRef.nativeElement.style.setProperty('--table-height', `${totalHeight}px`);
            }
        }, delay);
    }
    //region No data overlay
    showNoDataOverlay() {
        if (this.#overlayRef) {
            return;
        }
        const positionStrategy = this._overlay.position()
            .flexibleConnectedTo(this.table)
            .withPositions(this.getOverlayPositions());
        const overlayConfig = new OverlayConfig({
            positionStrategy,
            hasBackdrop: false,
        });
        this.#overlayRef = this._overlay.create(overlayConfig);
        if (this.dataSource.entries.length === 0) {
            this.#overlayRef.attach(new TemplatePortal(this.noDataTemplate, this._viewContainerRef));
        }
        else {
            this.dismissNoDataOverlay();
        }
    }
    dismissNoDataOverlay() {
        if (this.#overlayRef) {
            this.#overlayRef.detach();
            this.#overlayRef = null;
        }
    }
    getOverlayPositions() {
        return [
            {
                originX: 'center',
                originY: 'top',
                overlayX: 'center',
                overlayY: 'top',
            },
        ];
    }
    //endregion;
    async onEntrySelected(entry) {
        if (entry == null) {
            await this.navigate(undefined, true);
            this.entrySelected.emit(entry);
        }
        else {
            this.#skipParams = true;
            this.entrySelected.emit(entry);
            this.#skipParams = false;
        }
        if (this.expandOnEntrySelect) {
            await this.expandRow(entry ? this.dataSource.entries.indexOf(entry) : null);
        }
    }
    /** @nocollapse */ static ɵfac = function QueryTableComponent_Factory(t) { return new (t || QueryTableComponent)(i0.ɵɵdirectiveInject(i1$1.ActivatedRoute), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i2$3.ConfigService), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i2.EmojiService), i0.ɵɵdirectiveInject(i4$3.Overlay), i0.ɵɵdirectiveInject(i1$1.Router), i0.ɵɵdirectiveInject(i0.ViewContainerRef), i0.ɵɵdirectiveInject(MEDIA_WATCHER_SERVICE)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: QueryTableComponent, selectors: [["yukawa-query-table"]], viewQuery: function QueryTableComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0$1, 5, ElementRef);
            i0.ɵɵviewQuery(_c1, 5);
            i0.ɵɵviewQuery(MatPaginator, 7);
            i0.ɵɵviewQuery(MatSort, 7);
            i0.ɵɵviewQuery(_c2, 5, ViewContainerRef);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.table = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.noDataTemplate = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.paginator = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.sort = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.containers = _t);
        } }, inputs: { filter: "filter", dataStore: "dataStore", defaultSort: "defaultSort", pageSize: "pageSize", reloadEntry: "reloadEntry", selectedEntryComponent: "selectedEntryComponent", cellComponents: "cellComponents", displayPager: "displayPager", displayActions: "displayActions", actions: "actions", rowSelect: "rowSelect", expandOnEntrySelect: "expandOnEntrySelect", expandOnEntrySelectCollapsedTitle: "expandOnEntrySelectCollapsedTitle", expandOnEntrySelectExpandedTitle: "expandOnEntrySelectExpandedTitle", entryActionsLabel: "entryActionsLabel", noEntriesLabel: "noEntriesLabel", queryParams: "queryParams", applyFilter: "applyFilter" }, outputs: { entryAction: "entryAction", dataSource: "dataSource", entrySelected: "entrySelected" }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: MatPaginatorIntl,
                    useFactory: getPaginatorIntl,
                },
            ]), i0.ɵɵNgOnChangesFeature], decls: 16, vars: 23, consts: [["matTable", ""], ["noDataTemplate", ""], ["itemTemplate", ""], ["matRow", ""], ["mat-table", "", "matSort", "", "matSortDisableClear", "", 1, "w-full", 3, "matSortChange", "dataSource", "matSortActive", "matSortDirection", "ngClass"], ["matColumnDef", "expand"], [4, "matHeaderCellDef"], [4, "matCellDef"], [3, "matColumnDef", 4, "ngFor", "ngForOf"], ["matColumnDef", "actions", 4, "ngIf"], [4, "matHeaderRowDef", "matHeaderRowDefSticky"], ["matRipple", "", 3, "class", "ngClass", "click", 4, "matRowDef", "matRowDefColumns"], ["aria-label", "Select page", 3, "length", "pageSizeOptions", "showFirstLastButtons", "ngClass"], ["mat-icon-button", "", 3, "click", "title"], [3, "matColumnDef"], [3, "mat-sort-header", "disabled", "ngClass", 4, "matHeaderCellDef"], [3, "mat-sort-header", "disabled", "ngClass"], [3, "ngSwitch"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngSwitchCase"], [4, "ngSwitchCase"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "flex", "space-x-2"], [4, "ngFor", "ngForOf"], [1, "flex", 3, "ngClass"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngFor", "ngForOf"], ["matColumnDef", "actions"], [3, "transloco", "ngClass", 4, "matHeaderCellDef"], ["class", "space-x-2 text-sm font-medium", 4, "matCellDef"], [3, "transloco", "ngClass"], [1, "space-x-2", "text-sm", "font-medium"], [3, "ngSwitch", 4, "ngFor", "ngForOf"], [4, "ngIf"], ["mat-icon-button", "", 3, "matTooltip", "click", 4, "ngSwitchCase"], [3, "matTooltip", 4, "ngSwitchCase"], ["class", "hover:text-black", 3, "ngClass", "click", 4, "ngSwitchCase"], ["mat-icon-button", "", 3, "click", "matTooltip"], [3, "svgIcon"], [3, "matTooltip"], ["mat-flat-button", "", 3, "click", "disabled", "color"], [3, "class", "svgIcon", 4, "ngIf"], [3, "transloco"], [1, "hover:text-black", 3, "click", "ngClass"], ["matRipple", "", 3, "click", "ngClass"], [1, "text-center", "mt-1", "sm:mt-4", 3, "transloco"], [3, "ngSwitch", 4, "ngIf"], ["libCellComponent", "", 3, "entry", "detail", "component", 4, "ngSwitchCase"], [3, "ngSwitch", 4, "ngSwitchDefault"], ["libCellComponent", "", 3, "entry", "detail", "component"], [3, "class", "matTooltip", 4, "ngSwitchCase"], [3, "ngSwitch", 4, "ngSwitchCase"], ["disabled", "", 3, "checked", 4, "ngSwitchCase"], [1, "w-20", "h-20", "flex", "justify-center", "items-center"], ["class", "icon-size-14 text-hint", 3, "svgIcon", 4, "ngSwitchCase"], ["alt", "Thumbnail", 3, "class", "ngClass", "src", 4, "ngSwitchCase"], [1, "icon-size-14", "text-hint", 3, "svgIcon"], ["alt", "Thumbnail", 3, "ngClass", "src"], ["disabled", "", 3, "checked"], [3, "class", 4, "ngSwitchCase"], [3, "innerHTML", "class", 4, "ngSwitchCase"], [3, "innerHTML"]], template: function QueryTableComponent_Template(rf, ctx) { if (rf & 1) {
            const _r1 = i0.ɵɵgetCurrentView();
            i0.ɵɵelementStart(0, "mat-table", 4, 0);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵlistener("matSortChange", function QueryTableComponent_Template_mat_table_matSortChange_0_listener($event) { i0.ɵɵrestoreView(_r1); return i0.ɵɵresetView(ctx.onSortChanged($event)); });
            i0.ɵɵelementContainerStart(3, 5);
            i0.ɵɵtemplate(4, QueryTableComponent_mat_header_cell_4_Template, 1, 0, "mat-header-cell", 6)(5, QueryTableComponent_mat_cell_5_Template, 4, 2, "mat-cell", 7);
            i0.ɵɵelementContainerEnd();
            i0.ɵɵtemplate(6, QueryTableComponent_ng_container_6_Template, 3, 1, "ng-container", 8)(7, QueryTableComponent_ng_container_7_Template, 3, 0, "ng-container", 9)(8, QueryTableComponent_mat_header_row_8_Template, 1, 0, "mat-header-row", 10)(9, QueryTableComponent_mat_row_9_Template, 2, 6, "mat-row", 11);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(10, QueryTableComponent_ng_template_10_Template, 1, 2, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(12, QueryTableComponent_ng_template_12_Template, 1, 1, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelement(14, "mat-paginator", 12);
            i0.ɵɵpipe(15, "async");
        } if (rf & 2) {
            i0.ɵɵproperty("dataSource", ctx.dataSource)("matSortActive", (ctx.defaultSort == null ? null : ctx.defaultSort.active) || "")("matSortDirection", (ctx.defaultSort == null ? null : ctx.defaultSort.direction) || "")("ngClass", i0.ɵɵpureFunction2(17, _c3, i0.ɵɵpipeBind1(2, 13, ctx.dataSource.datasource.loading$), ctx.overflowHidden));
            i0.ɵɵadvance(6);
            i0.ɵɵproperty("ngForOf", ctx.dataSource.headers);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.displayActions);
            i0.ɵɵadvance();
            i0.ɵɵproperty("matHeaderRowDef", ctx.dataSource.displayedColumns)("matHeaderRowDefSticky", true);
            i0.ɵɵadvance();
            i0.ɵɵproperty("matRowDefColumns", ctx.dataSource.displayedColumns);
            i0.ɵɵadvance(5);
            i0.ɵɵproperty("length", 100)("pageSizeOptions", i0.ɵɵpureFunction0(20, _c4))("showFirstLastButtons", true)("ngClass", i0.ɵɵpureFunction1(21, _c5, i0.ɵɵpipeBind1(15, 15, ctx.dataSource.datasource == null ? null : ctx.dataSource.datasource.loading$)));
        } }, dependencies: [CellComponentDirective, i6.NgClass, i6.NgForOf, i6.NgIf, i6.NgTemplateOutlet, i6.NgSwitch, i6.NgSwitchCase, i6.NgSwitchDefault, i2$1.MatButton, i2$1.MatIconButton, i3.MatCheckbox, i3$2.MatIcon, i10$1.MatPaginator, i1.MatRipple, i12$1.MatSort, i12$1.MatSortHeader, i13$1.MatTable, i13$1.MatHeaderCellDef, i13$1.MatHeaderRowDef, i13$1.MatColumnDef, i13$1.MatCellDef, i13$1.MatRowDef, i13$1.MatHeaderCell, i13$1.MatCell, i13$1.MatHeaderRow, i13$1.MatRow, i3$1.TranslocoDirective, i4.MatTooltip, i6.AsyncPipe, i2.DateFormatPipe, i2.SanitizerPipe, i3$1.TranslocoPipe], styles: ["[_nghost-%COMP%]{width:100%;min-width:fit-content;--table-height: 0px}[_nghost-%COMP%]   mat-table[_ngcontent-%COMP%]{height:var(--table-height);transition:height .3s ease-out}mat-table[_ngcontent-%COMP%]{width:100%!important;min-width:fit-content}mat-table[_ngcontent-%COMP%]   mat-header-cell[_ngcontent-%COMP%]:first-child{width:auto!important}mat-table[_ngcontent-%COMP%]   .mat-mdc-row[_ngcontent-%COMP%]{position:relative}  mat-paginator .mat-paginator-container .mat-paginator-range-actions{flex-grow:1}  mat-paginator .mat-paginator-container .mat-paginator-range-actions .mat-paginator-range-label{flex-grow:1;text-align:right}@media only screen and (max-width: 768px) and (orientation: portrait),(min-device-width: 768px) and (max-device-width: 768px) and (orientation: portrait),(max-device-width: 716px) and (orientation: portrait){mat-table[_ngcontent-%COMP%]   mat-header-row[_ngcontent-%COMP%]{display:none}mat-table[_ngcontent-%COMP%]   mat-row[_ngcontent-%COMP%]{padding-top:8px;display:block;border-bottom-width:2px!important;border-bottom-color:#e0e0e0!important}mat-table[_ngcontent-%COMP%]   mat-row[_ngcontent-%COMP%]:first-of-type{padding-top:8px}mat-table[_ngcontent-%COMP%]   mat-row[_ngcontent-%COMP%]   mat-cell[_ngcontent-%COMP%]{display:block;text-align:right;padding-left:40%;position:relative;min-height:32px}mat-table[_ngcontent-%COMP%]   mat-row[_ngcontent-%COMP%]   .mat-mdc-cell[_ngcontent-%COMP%]:before{position:absolute;top:0;left:10px;width:45%;padding-right:10px;white-space:nowrap;content:attr(data-column);text-align:left}}"], data: { animation: [fadeIn] } });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table', animations: [fadeIn], providers: [
                    {
                        provide: MatPaginatorIntl,
                        useFactory: getPaginatorIntl,
                    },
                ], template: "<mat-table mat-table class=\"w-full\" #matTable [dataSource]=\"dataSource\" matSort matSortDisableClear\n    (matSortChange)=\"onSortChanged($event)\" [matSortActive]=\"defaultSort?.active || ''\"\n    [matSortDirection]=\"defaultSort?.direction || ''\" [ngClass]=\"{\n               'animate-pulse': dataSource.datasource.loading$ | async,\n               'overflow-hidden': overflowHidden\n           }\">\n\n    <ng-container matColumnDef=\"expand\">\n        <mat-header-cell *matHeaderCellDef></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\">\n            <button mat-icon-button (click)=\"expandButtonClick($event, row)\"\n                [title]=\"rowIsExpanded(row) ? expandOnEntrySelectExpandedTitle : expandOnEntrySelectCollapsedTitle\">\n                <mat-icon>{{ rowIsExpanded(row) ? 'expand_less' : 'expand_more' }}</mat-icon>\n            </button>\n        </mat-cell>\n    </ng-container>\n\n    <ng-container *ngFor=\"let _detail of dataSource.headers\" matColumnDef=\"{{ _detail.key }}\">\n\n        <mat-header-cell mat-sort-header=\"{{ _detail.key }}\" [disabled]=\"!_detail.sortable\" *matHeaderCellDef\n            [ngClass]=\"{ 'hidden': dataSource.entries.length === 0 }\">\n            {{ _detail.label | transloco }}\n        </mat-header-cell>\n\n        <mat-cell *matCellDef=\"let row\" [attr.data-column]=\"_detail.label | transloco\">\n            <ng-container [ngSwitch]=\"_detail.group !== undefined && _detail.tableGroup === true\">\n\n                <ng-container *ngSwitchCase=\"false\" [ngTemplateOutlet]=\"itemTemplate\"\n                    [ngTemplateOutletContext]=\"{ row, detail: _detail }\">\n                </ng-container>\n\n                <ng-container *ngSwitchCase=\"true\">\n\n                    <div class=\"flex space-x-2\">\n                        <ng-container *ngFor=\"let _group of dataSource.detailGroups.get(_detail.key)\">\n\n                            <div class=\"flex\" [ngClass]=\"{\n                            'flex-col space-y-1': _group.direction === 'vertical',\n                            'flex-row space-x-1': _group.direction === 'horizontal'\n                        }\">\n                                <ng-container *ngFor=\"let _groupDetail of _group.details\"\n                                    [ngTemplateOutlet]=\"itemTemplate\"\n                                    [ngTemplateOutletContext]=\"{ row, detail: _groupDetail }\"></ng-container>\n                            </div>\n\n                        </ng-container>\n\n                    </div>\n\n                </ng-container>\n\n            </ng-container>\n\n        </mat-cell>\n\n    </ng-container>\n\n    <ng-container matColumnDef=\"actions\" *ngIf=\"displayActions\">\n        <mat-header-cell *matHeaderCellDef [transloco]=\"entryActionsLabel\"\n            [ngClass]=\"{ 'hidden': dataSource.entries.length === 0 }\"></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" class=\"space-x-2 text-sm font-medium\"\n            [attr.data-column]=\"entryActionsLabel | transloco\">\n            <ng-container *ngFor=\"let _action of actions\" [ngSwitch]=\"_action.type\">\n                <ng-container *ngIf=\"!_action.available || _action.available(row)\">\n                    <button *ngSwitchCase=\"'icon'\" mat-icon-button (click)=\"onEntryAction($event, row, _action)\"\n                        [matTooltip]=\"_action.name | transloco\">\n                        <mat-icon [class]=\"_action.class\" svgIcon=\"{{ _action.icon }}\"></mat-icon>\n                    </button>\n\n                   <span *ngSwitchCase=\"'button'\" [matTooltip]=\"_action.customTooltip | transloco\">\n                        <button mat-flat-button (click)=\"onEntryAction($event, row, _action)\"\n                                [disabled]=\"_action.disabled\"\n                                [color]=\"row.selected ? 'primary' : undefined\">\n                        <mat-icon class=\"mr-2 {{ _action.class }}\" *ngIf=\"_action.icon\"\n                            svgIcon=\"{{ _action.icon }}\"></mat-icon>\n                        <span transloco=\"{{ _action.name }}\"></span>\n                    </button>\n                   </span>\n                    <a *ngSwitchCase=\"'link'\" (click)=\"onEntryAction($event, row, _action)\"\n                       class=\"hover:text-black\" [ngClass]=\"{\n                        'text-primary-500': !row.selected,\n                        'text-white': row.selected\n                     }\">\n                        <span transloco=\"{{ _action.name }}\"></span>\n                    </a>\n                </ng-container>\n            </ng-container>\n        </mat-cell>\n    </ng-container>\n\n    <mat-header-row *matHeaderRowDef=\"dataSource.displayedColumns;sticky: true\"></mat-header-row>\n    <mat-row matRipple *matRowDef=\"let row; columns: dataSource.displayedColumns;\" #matRow [class]=\"row.rowClass\"\n        [ngClass]=\"{\n                'mat-row-active': row.selected,\n                'cursor-pointer': rowSelect\n             }\" (click)=\"rowClicked(row)\">\n    </mat-row>\n\n</mat-table>\n\n<ng-template #noDataTemplate>\n    <div class=\"text-center mt-1 sm:mt-4\" [transloco]=\"noEntriesLabel\" @fadeIn></div>\n</ng-template>\n<ng-template #itemTemplate let-row=\"row\" let-detail=\"detail\">\n\n    <ng-container *ngIf=\"row.details.get(detail.key)?.showInTable\" [ngSwitch]=\"cellComponents?.has(detail.key)\">\n        <ng-container *ngSwitchCase=\"true\" libCellComponent [entry]=\"row\" [detail]=\"row.details.get(detail.key)\"\n            [component]=\"getCellComponent(detail.key)\"></ng-container>\n\n        <ng-container *ngSwitchDefault [ngSwitch]=\"row.details.get(detail.key).type\">\n\n            <span *ngSwitchCase=\"'date'\" @fadeIn\n                  class=\"whitespace-nowrap {{ detail.class }} {{ row.details.get(detail.key).cellClass }}\"\n                  [matTooltip]=\"getRowDetail(row, detail) | dateFormat: 'LLL'\">\n                {{ getRowDetail(row, detail) | dateFormat: 'L' }}</span>\n\n            <span *ngSwitchCase=\"'dateTime'\" @fadeIn\n                class=\"whitespace-nowrap type-{{row.details.get(detail.key).type}} {{ detail.class }}\"\n                [matTooltip]=\"getRowDetail(row, detail) | dateFormat: 'LLL'\">\n                {{ getRowDetail(row, detail) | dateFormat: 'L' }} {{ getRowDetail(row, detail) | dateFormat: 'LT'}}\n            </span>\n\n            <ng-container *ngSwitchCase=\"'image'\" [ngSwitch]=\"!!getRowDetail(row, detail)\">\n\n                <div class=\"w-20 h-20 flex justify-center items-center\">\n                    <mat-icon *ngSwitchCase=\"false\" class=\"icon-size-14 text-hint\" [svgIcon]=\"'iconsmind:file'\"\n                        @fadeIn></mat-icon>\n\n                    <img *ngSwitchCase=\"true\" class=\"h-20 w-auto object-cover {{ detail.class }} {{ row.details.get(detail.key).cellClass }}\" [ngClass]=\"{\n                        'rounded-md': !detail.class || detail.class.indexOf('rounded') === -1\n                    }\" [src]=\"getRowDetail(row, detail)\" alt=\"Thumbnail\" @fadeIn>\n\n                </div>\n\n            </ng-container>\n\n            <mat-checkbox *ngSwitchCase=\"'boolean'\" [checked]=\"getRowDetail(row, detail) !== ''\" disabled\n                @fadeIn></mat-checkbox>\n\n            <ng-container *ngSwitchDefault [ngSwitch]=\"detail.markdownSupport === true\">\n                <span *ngSwitchCase=\"false\" @fadeIn class=\"{{ detail.class }} {{ row.details.get(detail.key).cellClass }}\">{{ getRowDetail(row, detail) | sanitizer }}</span>\n                <span *ngSwitchCase=\"true\" @fadeIn [innerHTML]=\"getRowDetail(row, detail)\"\n                      class=\"{{ detail.class }} {{ row.details.get(detail.key).cellClass }}\"></span>\n            </ng-container>\n\n        </ng-container>\n\n    </ng-container>\n</ng-template>\n\n<mat-paginator [length]=\"100\" [pageSizeOptions]=\"[5, 10, 25, 100]\" [showFirstLastButtons]=\"true\"\n    aria-label=\"Select page\" [ngClass]=\"{\n                   'animate-pulse': dataSource.datasource?.loading$ | async\n               }\">\n</mat-paginator>", styles: [":host{width:100%;min-width:fit-content;--table-height: 0px}:host mat-table{height:var(--table-height);transition:height .3s ease-out}mat-table{width:100%!important;min-width:fit-content}mat-table mat-header-cell:first-child{width:auto!important}mat-table .mat-mdc-row{position:relative}::ng-deep mat-paginator .mat-paginator-container .mat-paginator-range-actions{flex-grow:1}::ng-deep mat-paginator .mat-paginator-container .mat-paginator-range-actions .mat-paginator-range-label{flex-grow:1;text-align:right}@media only screen and (max-width: 768px) and (orientation: portrait),(min-device-width: 768px) and (max-device-width: 768px) and (orientation: portrait),(max-device-width: 716px) and (orientation: portrait){mat-table mat-header-row{display:none}mat-table mat-row{padding-top:8px;display:block;border-bottom-width:2px!important;border-bottom-color:#e0e0e0!important}mat-table mat-row:first-of-type{padding-top:8px}mat-table mat-row mat-cell{display:block;text-align:right;padding-left:40%;position:relative;min-height:32px}mat-table mat-row .mat-mdc-cell:before{position:absolute;top:0;left:10px;width:45%;padding-right:10px;white-space:nowrap;content:attr(data-column);text-align:left}}\n"] }]
    }], () => [{ type: i1$1.ActivatedRoute }, { type: i0.ChangeDetectorRef }, { type: i2$3.ConfigService }, { type: i0.ElementRef }, { type: i2.EmojiService }, { type: i4$3.Overlay }, { type: i1$1.Router }, { type: i0.ViewContainerRef }, { type: undefined, decorators: [{
                type: Inject,
                args: [MEDIA_WATCHER_SERVICE]
            }] }], { table: [{
            type: ViewChild,
            args: ['matTable', { read: ElementRef, static: false }]
        }], noDataTemplate: [{
            type: ViewChild,
            args: ['noDataTemplate']
        }], paginator: [{
            type: ViewChild,
            args: [MatPaginator, { static: true }]
        }], sort: [{
            type: ViewChild,
            args: [MatSort, { static: true }]
        }], containers: [{
            type: ViewChildren,
            args: ['matRow', { read: ViewContainerRef }]
        }], filter: [{
            type: Input
        }], dataStore: [{
            type: Input
        }], defaultSort: [{
            type: Input
        }], pageSize: [{
            type: Input
        }], reloadEntry: [{
            type: Input
        }], selectedEntryComponent: [{
            type: Input
        }], cellComponents: [{
            type: Input
        }], displayPager: [{
            type: Input
        }], displayActions: [{
            type: Input
        }], actions: [{
            type: Input
        }], rowSelect: [{
            type: Input
        }], expandOnEntrySelect: [{
            type: Input
        }], expandOnEntrySelectCollapsedTitle: [{
            type: Input
        }], expandOnEntrySelectExpandedTitle: [{
            type: Input
        }], entryAction: [{
            type: Output
        }], entryActionsLabel: [{
            type: Input
        }], noEntriesLabel: [{
            type: Input
        }], queryParams: [{
            type: Input
        }], applyFilter: [{
            type: Input
        }], dataSource: [{
            type: Output
        }], entrySelected: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(QueryTableComponent, { className: "QueryTableComponent", filePath: "query-table.component.ts", lineNumber: 77 }); })();

const _c0 = (a0, a1, a2, a3) => ({ "clockwise": a0, "counter-clockwise": a1, "spin-clockwise": a2, "spin-counter-clockwise": a3 });
function ReloadButtonComponent_span_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "span", 3);
} }
const RELOAD_BUTTON_ICON = new InjectionToken('RELOAD_BUTTON_ICON');
const ANIMATION_DURATION = 500;
class ReloadButtonComponent {
    icon;
    color = 'accent';
    dataSource;
    spinDirection = 'counter-clockwise';
    showText = true;
    reload = new EventEmitter();
    animationDelay$;
    #loadingStartTime = null;
    #isFirstRun = true;
    #unsubscribeAll = new Subject();
    constructor(icon) {
        this.icon = icon;
    }
    ngOnInit() {
    }
    ngOnChanges(changes) {
        if (changes['dataSource']?.currentValue) {
            this.dataSource = changes['dataSource'].currentValue;
            this.animationDelay$ = this.dataSource.loading$.pipe(takeUntil(this.#unsubscribeAll), switchMap((loading) => {
                if (loading === null) {
                    return of(null);
                }
                if (loading) {
                    if (this.#isFirstRun) {
                        // For the first run, do not start the animation
                        this.#isFirstRun = false; // Update the flag for subsequent runs
                        return of(false);
                    }
                    else {
                        // Start the animation and record the start time for subsequent runs
                        this.#loadingStartTime = Date.now();
                        return of(true);
                    }
                }
                else {
                    // Calculate the elapsed time and remaining time to the next 180-degree turn
                    const elapsedTime = Date.now() - (this.#loadingStartTime ?? Date.now());
                    const remainingTime = ANIMATION_DURATION - (elapsedTime % ANIMATION_DURATION);
                    // Reset the start time
                    this.#loadingStartTime = null;
                    // Delay the stopping of the animation to complete the turn
                    return timer(remainingTime).pipe(map(() => false));
                }
            }));
        }
    }
    ngOnDestroy() {
        this.#unsubscribeAll.next();
        this.#unsubscribeAll.complete();
    }
    click() {
        if (this.dataSource.loading) {
            return;
        }
        this.reload.emit();
    }
    /** @nocollapse */ static ɵfac = function ReloadButtonComponent_Factory(t) { return new (t || ReloadButtonComponent)(i0.ɵɵdirectiveInject(RELOAD_BUTTON_ICON)); };
    /** @nocollapse */ static ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: ReloadButtonComponent, selectors: [["yukawa-query-table-reload-button"]], inputs: { color: "color", dataSource: "dataSource", spinDirection: "spinDirection", showText: "showText" }, outputs: { reload: "reload" }, features: [i0.ɵɵNgOnChangesFeature], decls: 5, vars: 13, consts: [["mat-flat-button", "", "type", "button", 1, "px-1", "sm:px-4", "min-w-10", 3, "click", "color"], [3, "svgIcon", "ngClass"], ["class", "ml-2 mr-1 hidden sm:inline-block", "transloco", "BUTTON.REFRESH", 4, "ngIf"], ["transloco", "BUTTON.REFRESH", 1, "ml-2", "mr-1", "hidden", "sm:inline-block"]], template: function ReloadButtonComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "button", 0);
            i0.ɵɵlistener("click", function ReloadButtonComponent_Template_button_click_0_listener() { return ctx.click(); });
            i0.ɵɵelement(1, "mat-icon", 1);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵpipe(3, "async");
            i0.ɵɵtemplate(4, ReloadButtonComponent_span_4_Template, 1, 0, "span", 2);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("color", ctx.color);
            i0.ɵɵadvance();
            i0.ɵɵproperty("svgIcon", ctx.icon)("ngClass", i0.ɵɵpureFunction4(8, _c0, ctx.spinDirection === "clockwise", ctx.spinDirection === "counter-clockwise", ctx.spinDirection === "clockwise" ? i0.ɵɵpipeBind1(2, 4, ctx.animationDelay$) : false, ctx.spinDirection === "counter-clockwise" ? i0.ɵɵpipeBind1(3, 6, ctx.animationDelay$) : false));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.showText);
        } }, dependencies: [i6.NgClass, i6.NgIf, i2$1.MatButton, i3$2.MatIcon, i3$1.TranslocoDirective, i6.AsyncPipe], styles: ["@keyframes _ngcontent-%COMP%_spin-clockwise{0%{transform:rotate3d(0,0,1,0) scaleY(-1)}to{transform:rotate3d(0,0,1,360deg) scaleY(-1)}}@keyframes _ngcontent-%COMP%_spin-counter-clockwise{0%{transform:rotate3d(0,0,1,360deg)}to{transform:rotate3d(0,0,1,0)}}.clockwise[_ngcontent-%COMP%]{transform:scaleY(-1)}.spin-clockwise[_ngcontent-%COMP%]{animation:_ngcontent-%COMP%_spin-clockwise 1s linear infinite}.spin-counter-clockwise[_ngcontent-%COMP%]{animation:_ngcontent-%COMP%_spin-counter-clockwise 1s linear infinite}"], changeDetection: 0 });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ReloadButtonComponent, [{
        type: Component,
        args: [{ selector: 'yukawa-query-table-reload-button', changeDetection: ChangeDetectionStrategy.OnPush, template: "<button mat-flat-button type=\"button\"\n        class=\"px-1 sm:px-4 min-w-10\"\n        (click)=\"click()\"\n        [color]=\"color\"\n>\n    <mat-icon [svgIcon]=\"icon\" [ngClass]=\"{\n        'clockwise': spinDirection === 'clockwise',\n        'counter-clockwise': spinDirection === 'counter-clockwise',\n        'spin-clockwise': spinDirection === 'clockwise' ?  (animationDelay$ | async): false,\n        'spin-counter-clockwise': spinDirection === 'counter-clockwise' ?  (animationDelay$ | async): false\n    }\"></mat-icon>\n    <span class=\"ml-2 mr-1 hidden sm:inline-block\" transloco=\"BUTTON.REFRESH\" *ngIf=\"showText\"></span>\n</button>\n", styles: ["@keyframes spin-clockwise{0%{transform:rotate3d(0,0,1,0) scaleY(-1)}to{transform:rotate3d(0,0,1,360deg) scaleY(-1)}}@keyframes spin-counter-clockwise{0%{transform:rotate3d(0,0,1,360deg)}to{transform:rotate3d(0,0,1,0)}}.clockwise{transform:scaleY(-1)}.spin-clockwise{animation:spin-clockwise 1s linear infinite}.spin-counter-clockwise{animation:spin-counter-clockwise 1s linear infinite}\n"] }]
    }], () => [{ type: undefined, decorators: [{
                type: Inject,
                args: [RELOAD_BUTTON_ICON]
            }] }], { color: [{
            type: Input
        }], dataSource: [{
            type: Input
        }], spinDirection: [{
            type: Input
        }], showText: [{
            type: Input
        }], reload: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ReloadButtonComponent, { className: "ReloadButtonComponent", filePath: "reload-button/reload-button.component.ts", lineNumber: 28 }); })();

class ReloadButtonModule {
    /** @nocollapse */ static ɵfac = function ReloadButtonModule_Factory(t) { return new (t || ReloadButtonModule)(); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: ReloadButtonModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [CommonModule,
            MatButtonModule,
            MatIconModule,
            TranslocoModule] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ReloadButtonModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    ReloadButtonComponent,
                ],
                imports: [
                    CommonModule,
                    MatButtonModule,
                    MatIconModule,
                    TranslocoModule,
                ],
                exports: [
                    ReloadButtonComponent,
                ],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ReloadButtonModule, { declarations: [ReloadButtonComponent], imports: [CommonModule,
        MatButtonModule,
        MatIconModule,
        TranslocoModule], exports: [ReloadButtonComponent] }); })();

class QueryTableModule {
    static forRoot(addTagIcon = 'add', reloadButton = 'refresh') {
        return {
            ngModule: QueryTableModule,
            providers: [
                {
                    provide: ADD_TAG_ICON,
                    useValue: addTagIcon,
                },
                {
                    provide: RELOAD_BUTTON_ICON,
                    useValue: reloadButton,
                },
            ],
        };
    }
    /** @nocollapse */ static ɵfac = function QueryTableModule_Factory(t) { return new (t || QueryTableModule)(); };
    /** @nocollapse */ static ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: QueryTableModule });
    /** @nocollapse */ static ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [CellComponentModule,
            CommonModule,
            MatButtonModule,
            MatCheckboxModule,
            MatIconModule,
            MatPaginatorModule,
            MatRippleModule,
            MatSortModule,
            MatTableModule,
            ReloadButtonModule,
            RouterModule,
            SharedModule,
            TranslocoModule,
            MatTooltipModule, ReloadButtonModule] });
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(QueryTableModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    QueryTableComponent,
                ],
                imports: [
                    CellComponentModule,
                    CommonModule,
                    MatButtonModule,
                    MatCheckboxModule,
                    MatIconModule,
                    MatPaginatorModule,
                    MatRippleModule,
                    MatSortModule,
                    MatTableModule,
                    ReloadButtonModule,
                    RouterModule,
                    SharedModule,
                    TranslocoModule,
                    MatTooltipModule,
                ],
                exports: [
                    QueryTableComponent,
                    ReloadButtonModule,
                ],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(QueryTableModule, { declarations: [QueryTableComponent], imports: [CellComponentModule,
        CommonModule,
        MatButtonModule,
        MatCheckboxModule,
        MatIconModule,
        MatPaginatorModule,
        MatRippleModule,
        MatSortModule,
        MatTableModule,
        ReloadButtonModule,
        RouterModule,
        SharedModule,
        TranslocoModule,
        MatTooltipModule], exports: [QueryTableComponent,
        ReloadButtonModule] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ADD_TAG_ICON, DEFAULT_VALIDATION_MESSAGES, FormActionButtonsComponent, FormButtonsComponent, FormFieldComponentDirective, MyErrorStateMatcher, QueryTableComponent, QueryTableDatasource, QueryTableDatasourceException, QueryTableEntry, QueryTableEntryDetailsComponent, QueryTableEntryDetailsModule, QueryTableEntryFormComponent, QueryTableEntryFormModule, QueryTableFormComponent, QueryTableModule, QueryTableStore, QueryTableViewComponent, RELOAD_BUTTON_ICON, ReloadButtonComponent, ReloadButtonModule, TreeSelectOptions, UploadProgressComponent };
//# sourceMappingURL=yukawa-chain-base-angular-comp-query-table.mjs.map
